<?php

namespace App\Enums;

enum StudentLevelsEnum: string
{

    // GENERAL : USING YEAR NUMBERS
    const YEAR1 = '100L';
    const YEAR2 = '200L';
    const YEAR3 = '300L';
    const YEAR4 = '400L';
    const YEAR5 = '500L';
    const YEAR6 = '600L';
    const YEAR7 = '700L';

    // for Polytechnics
    const NDI = 'NDI';
    const NDII = 'NDII';
    const NDIII = 'NDIII';
    const HNDI = 'HNDI';
    const HNDII = 'HNDII';

    // for Universities
    const HUNDRED_LEVEL = '100L';
    const TWO_HUNDRED_LEVEL = '200L';
    const THREE_HUNDRED_LEVEL = '300L';
    const FOUR_HUNDRED_LEVEL = '400L';
    const FIVE_HUNDRED_LEVEL = '500L';

    // aliases for unis in roman numeral
    const C_LEVEL = '100L';
    const CC_LEVEL = '200L';
    const CCC_LEVEL = '300L';
    const CD_LEVEL = '400L';
    const MD_LEVEL = '500L';

    // ALIAS FOR UNI using american standard
    const FRESHER = '100L';
    const SOPHMORE_YEAR = '200L';
    const JUNIOR_YEAR = '300L';
    const SENIOR_YEAR = '400L';


    // others (Student in IT)
    const IT_1YR = 'IT_1YR';
    const IT_6MO = 'IT_6MO';
    const IT_4MO = 'IT_4MO';
    const IT_3MO = 'IT_3MO';

    const EXIT = 'EXIT';
}