<?php

namespace App\Http\Controllers;

use App\Http\Requests\UpdateDPRequest;
use App\Services\Author\DPService;

class DPController extends Controller
{
    public function __construct(protected DPService $service)
    {
    }

    public function update(UpdateDPRequest $request)
    {
        return $this->service->updateDP($request);
    }


    public function updateForAdmin(UpdateDPRequest $request)
    {
        return $this->service->updateDP($request);
    }
}
