<?php

namespace App\Http\Controllers;

use App\Enums\UserRoleEnum;
use App\Models\Organisation;
use Illuminate\Http\Request;

class DashboardController extends Controller
{
    /**
     * Handle the incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function __invoke(Request $request)
    {
        return authy()->role == UserRoleEnum::ORG
            ? redirect()->route('sch.dashboard')
            : $this->authorDashboard();
    }
    public function schDashboard()
    {
        // get slug
        $orgSlug = Organisation::find(authy()->org_id)->slug;
        return view('snit.school.index', compact('orgSlug'));
    }

    public function authorDashboard()
    {
        return view('snit.index');
    }
}
