<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

class ScriptureController extends Controller
{
    //
    public function index()
    {
        return $this->process();
    }


    public function process()
    {
        $startDate = now()->addDay()->format('F d');
        $scripturesArray = $this->getScripturesArray();
        foreach ($scripturesArray as $key => $value) {
            // dd($key, $value, $startDate);
            $dateKey  = $key+ 1;
            $thisDate = now()->addDays($key)->format('F d');
            echo "*Day $dateKey - $thisDate* <br>  $value <br><br>";
        }



    }

    public function getScripturesArray()
    {
        return
            $scripturesArray =
            [
                "Genesis 1-3",
                "Genesis 4-7",
                "Genesis 8-11",
                "Genesis 12-15",
                "Genesis 16-18",
                "Genesis 19-21",
                "Genesis 22-24",
                "Genesis 25-26",
                "Genesis 27-29",
                "Genesis 30-31",
                "Genesis 32-34",
                "Genesis 35-37",
                "Genesis 38-40",
                "Genesis 41-42",
                "Genesis 43-45",
                "Genesis 46-47",
                "Genesis 48-50",
                "Exodus 1-3",
                "Exodus 4-6",
                "Exodus 7-9",
                "Exodus 10-12",
                "Exodus 13-15",
                "Exodus 16-18",
                "Exodus 19-21",
                "Exodus 22-24",
                "Exodus 25-26",
                "Exodus 27-29",
                "Exodus 30-31",
                "Exodus 32-34",
                "Exodus 35-37",
                "Exodus 38-40",
                "Leviticus 1-4",
                "Leviticus 5-7",
                "Leviticus 8-10",
                "Leviticus 11-13",
                "Leviticus 14-15",
                "Leviticus 16-18",
                "Leviticus 19-21",
                "Leviticus 22-23",
                "Leviticus 24-25",
                "Leviticus 26-27",
                "Numbers 1-2",
                "Numbers 3-4",
                "Numbers 5-6",
                "Numbers 7",
                "Numbers 8-10",
                "Numbers 11-13",
                "Numbers 14-15",
                "Numbers 16-17",
                "Numbers 18-20",
                "Numbers 21-22",
                "Numbers 23-25",
                "Numbers 26-27",
                "Numbers 28-30",
                "Numbers 31-32",
                "Numbers 33-34",
                "Numbers 35-36",
                "Deuteronomy 1-2",
                "Deuteronomy 3-4",
                "Deuteronomy 5-7",
                "Catch-up Day",
                "Deuteronomy 8-10",
                "Deuteronomy 11-13",
                "Deuteronomy 14-16",
                "Deuteronomy 17-20",
                "Deuteronomy 21-23",
                "Deuteronomy 24-27",
                "Deuteronomy 28-29",
                "Deuteronomy 30-31",
                "Deuteronomy 32-34",
                "Joshua 1-4",
                "Joshua 5-8",
                "Joshua 9-11",
                "Joshua 12-15",
                "Joshua 16-18",
                "Joshua 19-21",
                "Joshua 22-24",
                "Judges 1-2",
                "Judges 3-5",
                "Judges 6-7",
                "Judges 8-9",
                "Judges 10-12",
                "Judges 13-15",
                "Judges 16-18",
                "Judges 19-21",
                "Ruth",
                "I Samuel 1-3",
                "I Samuel 4-8",
                "I Samuel 9-12",
                "I Samuel 13-14",
                "I Samuel 15-17",
                "Catch-up Day",
                "I Samuel 18-20",
                "I Samuel 21-24",
                "I Samuel 25-27",
                "I Samuel 28-31",
                "II Samuel 1-3",
                "II Samuel 4-7",
                "II Samuel 8-12",
                "II Samuel 13-15",
                "II Samuel 16-18",
                "II Samuel 19-21",
                "II Samuel 22-24",
                "I Kings 1-2",
                "I Kings 3-5",
                "I Kings 6-7",
                "I Kings 8-9",
                "I Kings 10-11",
                "I Kings 12-14",
                "I Kings 15-17",
                "I Kings 18-20",
                "I Kings 21-22",
                "II Kings 1-3",
                "II Kings 4-5",
                "II Kings 6-8",
                "II Kings 9-11",
                "II Kings 12-14",
                "II Kings 15-17",
                "II Kings 18-19",
                "II Kings 20-22",
                "II Kings 23-25",
                "I Chronicles 1-2",
                "I Chronicles 3-5",
                "I Chronicles 6",
                "I Chronicles 7-8",
                "I Chronicles 9-11",
                "I Chronicles 12-14",
                "I Chronicles 15-17",
                "I Chronicles 18-21",
                "I Chronicles 22-24",
                "I Chronicles 25-27",
                "I Chronicles 28-29, II Chronicles 1",
                "II Chronicles 2-5",
                "II Chronicles 6-8",
                "II Chronicles 9-12",
                "II Chronicles 13-17",
                "II Chronicles 18-20",
                "II Chronicles 21-24",
                "II Chronicles 25-27",
                "II Chronicles 28-31",
                "II Chronicles 32-34",
                "II Chronicles 35-36",
                "Ezra 1-3",
                "Ezra 4-7",
                "Ezra 8-10",
                "Nehemiah 1-3",
                "Nehemiah 4-6",
                "Nehemiah 7",
                "Nehemiah 8-9",
                "Nehemiah 10-11",
                "Nehemiah 12-13",
                "Esther 1-5",
                "Catch-up Day",
                "Esther 6-10",
                "Job 1-4",
                "Job 5-7",
                "Job 8-10",
                "Job 11-13",
                "Job 14-16",
                "Job 17-20",
                "Job 21-23",
                "Job 24-28",
                "Job 29-31",
                "Job 32-34",
                "Job 25-37",
                "Job 38-39",
                "Job 40-42",
                "Psalms 1-8",
                "Psalms 9-16",
                "Psalms 17-20",
                "Psalms 21-25",
                "Psalms 26-31",
                "Psalms 32-35",
                "Psalms 36-39",
                "Psalms 40-45",
                "Psalms 46-50",
                "Psalms 51-57",
                "Psalms 58-65",
                "Psalms 66-69",
                "Psalms 70-73",
                "Psalms 74-77",
                "Psalms 78-79",
                "Psalms 80-85",
                "Catch-up Day",
                "Psalms 86-89",
                "Psalms 90-95",
                "Psalms 96-102",
                "Psalms 103-105",
                "Psalms 106-107",
                "Psalms 108-114",
                "Psalms 115-118",
                "Psalms 119:1-88",
                "Psalms 119:89-176",
                "Psalms 120-132",
                "Psalms 133-139",
                "Psalms 140-145",
                "Psalms 146-150",
                "Proverbs 1-3",
                "Proverbs 4-6",
                "Proverbs 7-9",
                "Proverbs 10-12",
                "Proverbs 13-15",
                "Proverbs 16-18",
                "Proverbs 19-21",
                "Proverbs 22-23",
                "Proverbs 24-26",
                "Proverbs 27-29",
                "Proverbs 30-31",
                "Ecclesiastes 1-4",
                "Ecclesiastes 5-8",
                "Ecclesiastes 9-12",
                "Songs of Solomon 1-8",
                "Isaiah 1-4",
                "Isaiah 5-8",
                "Catch-up Day",
                "Isaiah 9-12",
                "Isaiah 13-17",
                "Isaiah 18-22",
                "Isaiah 23-27",
                "Isaiah 28-30",
                "Isaiah 31-35",
                "Isaiah 36-41",
                "Isaiah 42-44",
                "Isaiah 45-48",
                "Isaiah 49-53",
                "Isaiah 54-58",
                "Isaiah 59-63",
                "Isaiah 64-66",
                "Jeremiah 1-3",
                "Jeremiah 4-6",
                "Jeremiah 7-9",
                "Jeremiah 10-13",
                "Jeremiah 14-17",
                "Jeremiah 18-22",
                "Jeremiah 23-25",
                "Jeremiah 26-29",
                "Jeremiah 30-31",
                "Jeremiah 32-34",
                "Jeremiah 35-37",
                "Jeremiah 38-41",
                "Jeremiah 42-45",
                "Jeremiah 46-48",
                "Jeremiah 49-50",
                "Jeremiah 51-52",
                "Lamentations 1-3",
                "Lamentations 4-5",
                "Ezekiel 1-4",
                "Ezekiel 5-8",
                "Ezekiel 9-12",
                "Ezekiel 13-15",
                "Ezekiel 16-17",
                "Ezekiel 18-20",
                "Ezekiel 21-22",
                "Ezekiel 23-24",
                "Ezekiel 25-27",
                "Ezekiel 28-30",
                "Ezekiel 31-33",
                "Ezekiel 34-36",
                "Ezekiel 37-39",
                "Ezekiel 40-42",
                "Ezekiel 43-45",
                "Ezekiel 46-48",
                "Daniel 1-3",
                "Daniel 4-6",
                "Daniel 7-9",
                "Daniel 10-12",
                "Hosea 1-7",
                "Hosea 8-14",
                "Joel",
                "Amos 1-5",
                "Amos 6-9",
                "Obadiah, Jonah",
                "Micah, Nahum",
                "Habakkuk, Zephaniah",
                "Haggai",
                "Zechariah 1-7",
                "Zechariah 8-14",
                "Malachi",
                "Catch-up Day",
            ];
    }

    public function workInProgress()
    {

        "Month 2, Day 13 
Month 2, Day 14 
Month 2, Day 15 
Month 2, Day 16 
Month 2, Day 17 
Month 2, Day 18 
Month 2, Day 19 
Month 2, Day 20 
Month 2, Day 21 
Month 2, Day 22 
Month 2, Day 23 
Month 2, Day 24 
Month 2, Day 25 
Month 2, Day 26 
Month 2, Day 27 
Month 2, Day 28 
Month 2, Day 29 
Month 2, Day 30 
Month 2, Day 31 
Month 3, Day 1 
Month 3, Day 2 
Month 3, Day 3 
Month 3, Day 4 
Month 3, Day 5 
Month 3, Day 6 
Month 3, Day 7 
Month 3, Day 8 
Month 3, Day 9 
Month 3, Day 10 
Month 3, Day 11 
Month 3, Day 12 
Month 3, Day 13 
Month 3, Day 14 
Month 3, Day 15 
Month 3, Day 16 
Month 3, Day 17 
Month 3, Day 18 
Month 3, Day 19 
Month 3, Day 20 
Month 3, Day 21 
Month 3, Day 22 
Month 3, Day 23 
Month 3, Day 24 
Month 3, Day 25 
Month 3, Day 26 
Month 3, Day 27 
Month 3, Day 28 
Month 3, Day 29 
Month 3, Day 30 
Month 3, Day 31 
Month 4, Day 1 
Month 4, Day 2 
Month 4, Day 3 
Month 4, Day 4 
Month 4, Day 5 
Month 4, Day 6 
Month 4, Day 7 
Month 4, Day 8 
Month 4, Day 9 
Month 4, Day 10 
Month 4, Day 11 
Month 4, Day 12 
Month 4, Day 13 
Month 4, Day 14 
Month 4, Day 15 
Month 4, Day 16 
Month 4, Day 17 
Month 4, Day 18 
Month 4, Day 19 
Month 4, Day 20 
Month 4, Day 21 
Month 4, Day 22 
Month 4, Day 23 
Month 4, Day 24 
Month 4, Day 25 
Month 4, Day 26 
Month 4, Day 27 
Month 4, Day 28 
Month 4, Day 29 
Month 4, Day 30 
Month 4, Day 31 
Month 5, Day 1 
Month 5, Day 2 
Month 5, Day 3 
Month 5, Day 4 
Month 5, Day 5 
Month 5, Day 6 
Month 5, Day 7 
Month 5, Day 8 
Month 5, Day 9 
Month 5, Day 10 
Month 5, Day 11 
Month 5, Day 12 
Month 5, Day 13 
Month 5, Day 14 
Month 5, Day 15 
Month 5, Day 16 
Month 5, Day 17 
Month 5, Day 18 
Month 5, Day 19 
Month 5, Day 20 
Month 5, Day 21 
Month 5, Day 22 
Month 5, Day 23 
Month 5, Day 24 
Month 5, Day 25 
Month 5, Day 26 
Month 5, Day 27 
Month 5, Day 28 
Month 5, Day 29 
Month 5, Day 30 
Month 5, Day 31 
Month 6, Day 1 
Month 6, Day 2 
Month 6, Day 3 
Month 6, Day 4 
Month 6, Day 5 
Month 6, Day 6 
Month 6, Day 7 
Month 6, Day 8 
Month 6, Day 9 
Month 6, Day 10 
Month 6, Day 11 
Month 6, Day 12 
Month 6, Day 13 
Month 6, Day 14 
Month 6, Day 15 
Month 6, Day 16 
Month 6, Day 17 
Month 6, Day 18 
Month 6, Day 19 
Month 6, Day 20 
Month 6, Day 21 
Month 6, Day 22 
Month 6, Day 23 
Month 6, Day 24 
Month 6, Day 25 
Month 6, Day 26 
Month 6, Day 27 
Month 6, Day 28 
Month 6, Day 29 
Month 6, Day 30 
Month 6, Day 31 
Month 7, Day 1 
Month 7, Day 2 
Month 7, Day 3 
Month 7, Day 4 
Month 7, Day 5 
Month 7, Day 6 
Month 7, Day 7 
Month 7, Day 8 
Month 7, Day 9 
Month 7, Day 10 
Month 7, Day 11 
Month 7, Day 12 
Month 7, Day 13 
Month 7, Day 14 
Month 7, Day 15 
Month 7, Day 16 
Month 7, Day 17 
Month 7, Day 18 
Month 7, Day 19 
Month 7, Day 20 
Month 7, Day 21 
Month 7, Day 22 
Month 7, Day 23 
Month 7, Day 24 
Month 7, Day 25 
Month 7, Day 26 
Month 7, Day 27 
Month 7, Day 28 
Month 7, Day 29 

Month 7, Day 30 
Month 7, Day 31 
Month 8, Day 1 
Month 8, Day 2 
Month 8, Day 3 
Month 8, Day 4 
Month 8, Day 5 
Month 8, Day 6 
Month 8, Day 7 
Month 8, Day 8 
Month 8, Day 9 
Month 8, Day 10 
Month 8, Day 11 
Month 8, Day 12 
Month 8, Day 13 
Month 8, Day 14 
Month 8, Day 15 
Month 8, Day 16 
Month 8, Day 17 
Month 8, Day 18 
Month 8, Day 19 
Month 8, Day 20 
Month 8, Day 21 
Month 8, Day 22 
Month 8, Day 23 
Month 8, Day 24 
Month 8, Day 25 
Month 8, Day 26 
Month 8, Day 27 
Month 8, Day 28 
Month 8, Day 29 
Month 8, Day 30 
Month 8, Day 31 
Month 9, Day 1 
Month 9, Day 2 
Month 9, Day 3 
Month 9, Day 4 
Month 9, Day 5 
Month 9, Day 6 
Month 9, Day 7 
Month 9, Day 8 
Month 9, Day 9 
Month 9, Day 10 
Date Scripture Reading
Month 9, Day 11 
Month 9, Day 12 
Month 9, Day 13 
Month 9, Day 14 
Month 9, Day 15 
Month 9, Day 16 
Month 9, Day 17 
Month 9, Day 18 
Month 9, Day 19 
Month 9, Day 20 
Month 9, Day 21 
Month 9, Day 22 
Month 9, Day 23 
Month 9, Day 24 
Month 9, Day 25 
Month 9, Day 26 
Month 9, Day 27 
Month 9, Day 28 
Month 9, Day 29 
Month 9, Day 30 
Month 9, Day 31 ";
    }
}
