<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class StoreDocumentRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, mixed>
     */
    public function rules()
    {
        return [
            'book_id' => 'required',
            // 'book_file'    => 'required_without:book_file_url|max:2048', //no longer store files on the server
            'book_file_url' => 'required',

            'front_cover' => 'required|file|max:512',
            'back_cover' => 'nullable|file|max:512',
        ];
    }
}
