<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Mail\Mailables\Address;
use Illuminate\Mail\Mailables\Content;
use Illuminate\Mail\Mailables\Envelope;
use Illuminate\Queue\SerializesModels;

class InformDeveloperOfNewContactFormEntry extends Mailable
{
    use Queueable, SerializesModels;

    /**
     * Create a new message instance.
     *
     * @return void
     */

    // public $clientFullName;
    // public $clientEmail;
    // public $clientSubject;
    // public $clientMessage;
    public $client;

    public function __construct($client)
    {
        // $this->clientFullName = $client->fullname;
        // $this->clientEmail = $client->email;
        // $this->clientSubject = $client->subject;
        // $this->clientMessage = $client->message;
        $this->client = $client;
    }

    /**
     * Get the message envelope.
     *
     * @return \Illuminate\Mail\Mailables\Envelope
     */
    public function envelope()
    {
        return new Envelope(
            from: new Address('support@aims.marxon.com.ng', 'AIMS'),
            subject: 'New Lead : IMS Contact Form Entry',

        );
    }

    /**
     * Get the message content definition.
     *
     * @return \Illuminate\Mail\Mailables\Content
     */
    public function content()
    {
        return new Content(
            markdown: 'mail.inform-developer-of-new-contact-form-entry-mail'
        );
    }

    /**
     * Get the attachments for the message.
     *
     * @return array
     */
    public function attachments()
    {
        return [];
    }
}
