<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

/**
 * Model for the Payment Gateways used in the app
 */
class PG extends Model
{
    use HasFactory;
    protected $guarded = ['id'];

    protected $table = 'pgs';

    // relationships
    public function orders()
    {
        return $this->hasMany(Order::class);
    }
}
