<?php

namespace Database\Seeders;

use App\Models\Book;
use Illuminate\Database\Seeder;

class BookSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        Book::create([
            'name' => 'book1',
            'ISBN' => '23456fxdf345',
            'price' => rand(500, 1000),
            'pub_year' => 2020,

            // nullables
            'genre' => 'school',
            'condition' => 'new', //default
            'type' => 'hybrid', //default
            'message' => 'my book1 for com sci',
            'publisher_id' => null,
            'author_id' => 1,
        ]);
    }
}
