<?php

namespace Database\Seeders;

use App\Models\Continent;
use Illuminate\Database\Seeder;

class ContinentSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $continents = ['Asia', 'Africa', 'South America', 'North America', 'Antarctica', 'Europe', 'Oceania'];
        foreach ($continents as $continent) {
            Continent::create(['name' => $continent]);
        }
    }
}
