<x-mail::message>
# ORDER FUNDSHARE FAILED
we could not organise remit for all stakeholders

--------------------------------
# ORDER INFO
Order Amount : {{ $relatedOrder->total_amount }}

@foreach ($relatedContent as $cartItem)
{!! " <div class='fw-bold'> Item $loop->iteration : </div> "!!}

Item Name:  {{ $cartItem->name }} 

Item Price: {{ $cartItem->price }}

Qty: {{ $cartItem->qty }}

&NewLine;
@endforeach
-----------------
# Client Data:

Client name: {{ $relatedClient->name }}

Client mat_num: {{ $relatedClient->mat_num }}

Client phone: {{ $relatedClient->phone }}

Client Organisation: {{ $relatedClient->org->name }}


-----------------
# PGS Data
@foreach ($pgsData as $key => $data)
{{ "$key : $data" }}

@endforeach

# Summary

Total Order Amount : {{ $relatedOrder->total_amount }}

Expected Fee: {{ $relatedOrder->total_amount * (1.5/100) }}

Actual Fee : {{ $pgsData['fees'] }}



--------------------------------

<x-mail::button :url="route('guest.search_for_my_order', $relatedOrder->identifier)">
    View Affected Order
</x-mail::button>
Thanks,

{{ config('app.name') }}
</x-mail::message>


<style scoped>
.fw-bold{
font-weight : bold;
color: black;
padding: 1em 0;
}
</style>