@guest
    {{-- @isset(authy()->author) --}}
    {{-- this $author is sent from the contrller via route model binding check url  '/vendors/danmoney6/store' --}}
    @isset($author)
        <ul class="menu-inner py-5">
            <li
                class="menu-item {{ thisRouteName() == 'profile.edit' ? ' active' : '' }} mb-5">
                <div class="nav-link">
                    <div class="avatar px-auto w-100 text-center">
                        <img src="/storage/{{ $author->dp }}" alt
                            class="w-px-150 h-auto rounded-circle" />
                    </div>
                </div>
            </li>

            <li
                class="menu-item {{ thisRouteName() == 'profile.edit' ? ' active' : '' }} mt-5 py-3">
                <div class="menu-link">
                    <i class="menu-icon tf-icons bx bx-user"></i>
                    <div data-i18n="Basic">
                        <span>{{ isset($author) ? $author->presentFullName() : ' ' }}
                        </span>
                    </div>
                </div>
            </li>

            <li class="menu-header small text-uppercase"><span
                    class="menu-header-text">Organisation</span></li>
            <li class="menu-item">
                <div class="menu-link">
                    <i class="menu-icon tf-icons bx bx-world"></i>
                    <div data-i18n="Basic"><span>
                            {{ isset($author) ? $author->getOrg() : ' ' }}</span></div>
                </div>
            </li>
            <li class="menu-header small text-uppercase"><span
                    class="menu-header-text">Nationality</span></li>
            <li class="menu-item">
                <div class="menu-link">
                    <i class="menu-icon tf-icons bx bx-world"></i>
                    <div data-i18n="Basic"><span>
                            {{ isset($author) ? $author->getNationality() : ' ' }}</span>
                    </div>
                </div>
            </li>
            <li class="menu-header small text-uppercase"><span
                    class="menu-header-text">All Books</span></li>
            <li class="menu-item">
                <div class="menu-link">
                    <i class="menu-icon tf-icons bx bx-book"></i>
                    <div data-i18n="Basic"><span>Total :
                            {{ isset($author) ? $author->presentBookCount() : '' }}</span>
                    </div>
                </div>
            </li>
        </ul>
    @endisset
    <ul class="menu-inner p-y">
        <li class="menu-header small text-uppercase">
            <span class="menu-header-text">
                {{ thisRouteName() == 'guest.cart' ? 'cart' : thisRouteName() }}
            </span>
        </li>

        {{-- optional for anything I might want to add in the future --}}
        <li class="menu-item">
            <div class="menu-link">
                {{-- <i class="menu-icon tf-icons bx bx-book"></i> --}}
                {{-- <div data-i18n="Basic"><span>{{ thisRouteName() }}</span></div> --}}
            </div>
        </li>
    </ul>
@endguest
