<?php use App\Enums\UserRoleEnum; ?>
@if (authy()->role(UserRoleEnum::ORG))
    <!-- Dashboard -->
    <ul class="menu-inner py-1">
        <li class="menu-item {{ thisRouteName() == 'dashboard' ? 'active' : '' }} ">
            <a href="{{ route('dashboard') }}" class="menu-link">
                <i class="menu-icon tf-icons bx bx-home-circle"></i>
                <div data-i18n="Analytics">Dashboard</div>
            </a>
        </li>
        {{-- placeholder: insert additional menu items here --}}


        <!-- User interface -->
        {{-- <li class="menu-item {{ thisRouteName() == 'bookstore.index' ? ' active' : '' }}">
            <a href="{{ route('guest.bookstore') }}" class="menu-link">
                <i class="menu-icon tf-icons bx bx-list-ul"></i>
                <div data-i18n="Tooltips & Popovers">Visit BookStore</div>
            </a>
        </li> --}}

        <!-- Misc -->
        <li class="menu-header my-0 small text-uppercase"><span class="menu-header-text">Financials</span></li>

        <li class="menu-item {{ thisRouteName() == 'books-income.index' ? ' active' : '' }}">
            <a class="menu-link menu-toggle cursor-pointer">
                <i class="menu-icon tf-icons bx bx-group"></i>
                <div data-i18n="User interface">Income Report</div>
            </a>
            <ul class="menu-sub">
                <li class="menu-item {{ thisRouteName() == 'sch_financials.index' ? ' active' : '' }} ">

                    <a href="{{ route('sch_financials.index') }}" class="menu-link">
                        <i class="menu-icon tf-icons bx bx-wallet"></i>
                        <div data-i18n="Basic" class='mx-1'> Summary (₦)
                        </div>
                    </a>
                </li>
            </ul>
        </li>

        <li class="menu-header my-0 small text-uppercase"><span class="menu-header-text">Config</span></li>

        {{-- <li class="menu-item {{ thisRouteName() == 'guest.bookstore' ? ' active' : '' }}">
            <a href="{{ route('guest.bookstore') }}" class="menu-link">
                <i class="menu-icon tf-icons bx bx-cog"></i>
                <div data-i18n="Tooltips & Popovers">BookStore</div>
            </a>
        </li> --}}


        <li class="menu-item {{ thisRouteName() == 'admin.profile.edit' ? ' active' : '' }}">
            <a href="{{ route('admin.profile.edit') }}" class="menu-link">
                <i class="menu-icon tf-icons bx bx-cog"></i>
                <div data-i18n="Tooltips & Popovers">Config</div>
            </a>
        </li>

        @if (auth()->user()->is_admin)
            <li class="menu-item {{ thisRouteName() == 'dev_financials.index' ? ' active' : '' }} ">
                <a href="{{ route('dev_financials.index') }}" class="menu-link">
                    <i class="menu-icon tf-icons bx bx-wallet"></i>
                    <div data-i18n="Basic"> $ Dev Income </div>
                </a>
            </li>
        @endif

        <!-- Misc -->


        <li class="menu-item my-5 ">
            <x-logout />
        </li>
    </ul>
@endif
