<!DOCTYPE html>

<html lang="en" class="light-style layout-menu-fixed" dir="ltr" data-theme="theme-default"
    data-assets-path="/static/assets/" data-template="vertical-menu-template-free">

<head>
    <meta charset="utf-8" />
    <meta name="viewport"
        content="width=device-width, initial-scale=1.0, user-scalable=no, minimum-scale=1.0, maximum-scale=1.0" />

    <title>Dashboard -
        {{ thisRouteName() == 'dashboard' ? 'Analytics' : ucfirst(thisRouteName()) }}
        | IMS -
        Instructor Management System - Pro Az</title>

    <meta name="description" content="" />

    <!-- Favicon -->
    <link rel="icon" type="image/x-icon" href="/static/assets/img/favicon/favicon.ico" />

    <!-- Fonts -->
    <link rel="preconnect" href="https://fonts.googleapis.com" />
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin />
    <link
        href="https://fonts.googleapis.com/css2?family=Public+Sans:ital,wght@0,300;0,400;0,500;0,600;0,700;1,300;1,400;1,500;1,600;1,700&display=swap"
        rel="stylesheet" />

    <!-- Icons. Uncomment required icon fonts -->
    <link rel="stylesheet" href="/static/assets/vendor/fonts/boxicons.css" />

    <!-- Core CSS -->
    <link rel="stylesheet" href="/static/assets/vendor/css/core.css" class="template-customizer-core-css" />
    <link rel="stylesheet" href="/static/assets/vendor/css/theme-default.css" class="template-customizer-theme-css" />
    <link rel="stylesheet" href="/static/assets/css/demo.css" />

    <!-- Vendors CSS -->
    <link rel="stylesheet" href="/static/assets/vendor/libs/perfect-scrollbar/perfect-scrollbar.css" />

    <link rel="stylesheet" href="/static/assets/vendor/libs/apex-charts/apex-charts.css" />

    <!-- Page CSS -->

    <!--! Template customizer & Theme config files MUST be included after core stylesheets and helpers.js in the <head> section -->
    <!--? Config!:  Mandatory theme config file contain global vars & default theme options, Set your preferred theme option in this file.  -->
    <script defer src="/static/assets/js/config.js"></script>

    {{-- locally hosted ~ same in production --}}
    <script defer src="/static/assets/vendor/js/helpers.js"></script>

    {{-- my own resources --}}
    <script defer src="/pub_resources/js/helpers.js"></script>


    {{-- vite --}}
    {{-- Also where i override stuff :: app.scss --}}
    @vite(getViteFiles())
    {{-- bootstrap and little sass ~compiled in production --}}
    {{-- <link rel="stylesheet" href="asset('/build/assets/app-9b96d8a7.css')"> --}}

    {{-- sweet alerts --}}
    <link rel="stylesheet" href="/static/vendor/swal_dist/swal.min.css" />
    <script src="/static/vendor/swal_dist/swal.min.js"></script>

</head>
