@extends('snit.layouts.app')
@section('content')
    <div class="container-xxl flex-grow-1 container-p-y">
        <div class="d-flex justify-between">
            <h4 class="fw-bold py-1 mb-1"><span class="text-muted fw-light">Search
                    Results for "{{ $searchfor }}"</span>
            </h4>
            <x-cart-icon />
        </div>
        <div class="row">
            <div class="mb-3">
                @if (count($relatedAuthors))
                    <h4 class="my-3">Authors</h4>
                    <div class="grid sm:grid-cols-4 gap-3">
                        @foreach ($relatedAuthors as $the_author)
                            @include('snit.guest.search.partials.SRP_relatedAuthors')
                        @endforeach
                    </div>
                @endif
            </div>

            <div class="mt-3">
                @if ($relatedBooks->count())
                    <h4 class="text-white">Books</h4>
                    <div class="grid sm:grid-cols-4">
                        @foreach ($relatedBooks as $book)
                            @include('snit.guest.search.partials.SRP_relatedBooks')
                        @endforeach
                    </div>
                @endif

            </div>
        </div>
    </div>
    <!-- / Content -->
@endsection
