<?php

use App\Http\Controllers\CheckoutController;
use App\Http\Controllers\GuestCartController;
use App\Http\Controllers\GuestController;
use App\Http\Controllers\PaymentController;
use App\Http\Controllers\ThankyouController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
|  guest client routes related to cart
|--------------------------------------------------------------------------
|
*/
// cart routes

Route::group(
    ['prefix' => 'guest/cart'],
    function () {
        // general guest user routes
        Route::get('/', [GuestCartController::class, 'index'])->name('guest.cart');
        Route::post('/{product}/{author}', [GuestCartController::class, 'store'])
            ->name('guest.cart.store');

        Route::delete('/', [GuestCartController::class, 'destroy'])->name('guest.cart-destroy'); // destroy cart item or empty cart
    }
);
