<?php $__env->startSection('content'); ?>
    <div class="container-xxl flex-grow-1 container-p-y">
        <div class="row">
            <div class="col-lg-8 mb-4 order-0">
                <div class="card">
                    <div class="d-flex align-items-end row">
                        <div class="col-sm-7">
                            <div class="card-body">
                                <h5 class="card-title text-primary"> <span class="text-xl"> Congratulations</span>
                                    <span class="call-username">
                                        <?php echo e(Auth::user()->author->fname ?? Auth::user()->name); ?></span>
                                    ! 🎉
                                </h5>
                                <p class="mb-4 text-sm">
                                    You have done
                                    <span class="fw-bold num-sales">
                                        <?php echo e(author()->totalBookSold('today')); ?>

                                    </span> more sales today.
                                </p>
                                <a href="<?php echo e(route('clients.index')); ?>" class="btn btn-sm btn-outline-primary">View
                                    Recent Sales</a>
                                

                            </div>

                        </div>
                        <div class="col-sm-5 text-center text-sm-left">
                            <div class="card-body pb-0 px-0 px-md-4">
                                <img src="/static/assets/img/illustrations/man-with-laptop-light.png" height="140"
                                    alt="View Badge User" data-app-dark-img="illustrations/man-with-laptop-dark.png"
                                    data-app-light-img="illustrations/man-with-laptop-light.png" />
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-4 col-md-4 order-1">
                <div class="row">

                    <!--Total Revenue -->
                    <div class="col-12 mb-4">
                        <div class="card">
                            <div class="card-body">
                                <div class="d-flex justify-content-between flex-sm-row flex-column gap-3">
                                    <div class="d-flex flex-sm-column flex-row align-items-start justify-content-between">
                                        <div class="card-title flex">
                                            <div class="avatar flex-shrink-0">
                                                <img src="/static/assets/img/icons/unicons/wallet.png" alt="Credit Card"
                                                    class="rounded" />
                                            </div>
                                            <span class="badge text-primary mt-sm-auto text-sm">Week
                                                <?php echo e(now()->weekOfYear); ?>

                                            </span>
                                            <span class="badge text-success mt-sm-auto text-sm">
                                                <?php echo e(date('Y')); ?>

                                            </span>

                                        </div>
                                        <div class="mt-sm-auto">
                                            <small class="text-success text-nowrap fw-semibold text-sm">
                                                <i class="bx bx-chevron-up"></i>
                                                Available Balance</small>
                                            <h3 class="my-1 font-light text-black">
                                                ₦<?php echo e(author()->presentWallet()); ?>

                                            </h3>
                                        </div>
                                    </div>
                                    <div id="profileReportChart"></div>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
            <!-- Animated Gif container -->
            <div class="col-12 col-lg-8 order-2 order-md-3 order-lg-2 mb-4">
                <div class="card">
                    
                    <div class="row row-bordered g-0 round-lg p-1">
                        <img src="/animated_gifs/gifs/dancing-happy.gif" alt="winner gif">
                    </div>
                </div>
            </div>

            <div class="col-12 col-md-8 col-lg-4 order-3 order-md-2">
                <div class="row">


                    <!-- Sales Container -->
                    <div class=" col-md-12 col-6 mb-4">
                        <div class="card">
                            <div class="card-body py-2">
                                <small class=" d-block mb-1 text-xs">Total Sales</small>
                                <h6 class="card-title mb-2 font-extralight text-3xl">
                                    ₦<?php echo e(money(author()->totalSalesFromBooks())); ?>

                                </h6>
                                <small class="text-primary fw-semibold text-xs" title='ebook sales'>
                                    
                                    
                                </small>

                                
                            </div>
                        </div>
                    </div>

                    <!-- Profit container -->
                    <div class=" col-md-12 col-6 mb-4">
                        <div class="card">
                            <div class="card-body py-2">
                                
                                <p class=" d-block mb-1 text-xs overflow-hidden max-w-fit rounded-lg">Total
                                    Profits</p>
                                <h6 class="card-title my-2 font-thin text-3xl">
                                    ₦<?php echo e(money(author()->presentTotalProfit())); ?>

                                </h6>
                                <small class="text-primary text-xs" title='ebook profits'>
                                    
                                    
                                </small>

                            </div>
                        </div>
                    </div>



                    <!-- Books sold count Container -->
                    <div class=" col-md-12 col-6 mb-4">
                        <div class="card">
                            <div class="card-body py-2">
                                
                                <span class=" d-block mb-1 text-sm">
                                    Total Books Sold</span>
                                <h5 class="card-title mb-2 font-thin text-3xl">
                                    <?php echo e(author()->totalBookSold()); ?>

                                </h5>
                                
                            </div>
                        </div>
                    </div>


                </div>
            </div>
        </div>
        
    </div>
    <!-- / Content -->
<?php $__env->stopSection(); ?>

<?php echo $__env->make('snit.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/martins/udo/repo/personal/ims/resources/views/snit/index.blade.php ENDPATH**/ ?>