<?php $__env->startSection('content'); ?>
    <!-- Bordered Table -->
    <?php if(count($allClients) < 1): ?>
        <h4 class="my-5 py-5 text-center fw-light text-gray-400"> You have no Clients yet<a class="underline"
                href="<?php echo e(route('books.create')); ?>"> </a>
        </h4>
    <?php else: ?>
        <div class="card m-4">
            <div class="d-flex justify-content-between">
                <h5 class="card-header">My Clients</h5>
                <div class="d-block m-4">
                    
                    <div class="mt-3">
                        Total in View : <?php echo e(count($allClients)); ?>

                    </div>
                </div>
            </div>

            <div class="card-body">
                <div class="table-responsive text-nowrap">
                    <table class="table  py-5">

                        <col>
                        <col>
                        <col>
                        <col>
                        <col>
                        <col>
                        
                        <thead>
                            <tr>
                                <?php $__currentLoopData = $table_headers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $heading): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <th><small><?php echo $heading; ?></small></th>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tr>
                        </thead>
                        <tbody>
                            <?php $__currentLoopData = $allClients; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $client): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    
                                    
                                    <td><?php echo e($client->client_model->org->slug); ?></td>

                                    <td>
                                        <i class="fab fa-angular fa-lg text-danger me-3"></i>
                                        <strong class="capitalize"><?php echo e($client->client_model->getFullName()); ?></strong>
                                    </td>
                                    <td><?php echo e($client->client_model->mat_num); ?></td>


                                    <td><span class=" me-1"><?php echo e($client->client_model->phone); ?></span>
                                    </td>

                                    <td><span class=" me-1"><?php echo e($client->created_at_key); ?></span>
                                    </td>
                                    
                                    <td><?php echo e($client->itemPurchased->name); ?></td>

                                    
                                    <td><?php echo e($client->itemPurchased->options->type); ?></td>

                                    
                                    <td class="text-sm">
                                        <?php echo e('₦' . $client->itemPurchased->options->original_price); ?>

                                    </td>

                                    
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    <?php endif; ?>
    <!--/ Bordered Table -->
<?php $__env->stopSection(); ?>

<?php echo $__env->make('snit.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/martins/udo/repo/personal/ims/resources/views/snit/auth/dashboard/clients/index.blade.php ENDPATH**/ ?>