<?php $__env->startSection('content'); ?>
    <div class="container-xxl flex-grow-1 container-p-y">
        <h4 class="fw-light py-1 mb-1"><span class="text-muted fw-light">Book Store
                /</span> All Books</h4>

        <div class="row  mb-5">
          
            <?php $__empty_1 = true; $__currentLoopData = $allAuthorbooks; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $book): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                <div class="col-md-6 col-lg-4 my-5">
                    <div class="card h-100">
                        <img class="card-img-top" src="/storage/<?php echo e($book->doc?->front_cover); ?>" alt="Card image cap">
                        <div class="card-body">
                            <p class="my-0 card-title text-sm">Book Title : <?php echo e($book->name); ?>

                            </p>
                            <p class="my-0">
                                <span>
                                    Hard cover:
                                    N<?php echo e(number_format($book->price, 2)); ?>

                                </span>
                                <span class="my-0">| eBook:
                                    N<?php echo e(number_format($book->eBookPrice(), 2)); ?></span>
                            </p>

                            <p class="card-text">
                                This book is an introduction to programming for
                                level 1 students_hq
                            </p>
                            
                            <a href="<?php echo e(route('book-clients.show-all', $book->slug)); ?>"
                                class="btn btn-sm btn-outline-primary m-1" title="View All Clients"
                                sr-only='View All Clients'>
                                <i class="bx bx-xs bx-see bx-show"></i>
                                All Clients
                                <i class="bx bx-xs bx-group"></i>
                            </a>



                            <a href="<?php echo e(route('book-clients.show-ebook', $book->slug)); ?>"
                                class="btn btn-sm btn-outline-success m-1" title="View all eBook Clients"
                                sr-only='View all eBook Clients'>
                                <i class="bx bx-xs bx-see bx-show"></i>
                                Ebook Clients
                                <i class="bx bx-xs bx-group"></i>
                            </a>
                            <p class="text-center mt-2">

                                <a href="<?php echo e(route('book-clients.show-hardcover', $book->slug)); ?>"
                                    class="btn btn-sm btn-outline-warning m-1" title="View all Hardcover Clients"
                                    sr-only='View all Hardcover Clients'>
                                    <i class="bx bx-xs bx-see bx-show"></i>
                                    Hardcover Clients
                                    <i class="bx bx-xs bx-group"></i>
                                </a>
                            </p>
                            

                            </span>
                        </div>
                    </div>
                </div>

                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                <h4 class="my-5 text-center fw-light"> You have no books <a class="underline"
                    href="<?php echo e(route('books.create')); ?>"> click
                    here </a> to create a new book </h4>
            <?php endif; ?>

        </div>
    </div>
    <!-- / Content -->
<?php $__env->stopSection(); ?>
<?php $__env->startPush('child-scripts'); ?>
    <script>
        console.log('the bookstore page for the author boy')
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('snit.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/martins/udo/repo/personal/ims/resources/views/snit/auth/dashboard/clients/clients_by_book/index.blade.php ENDPATH**/ ?>