<?php $attributes ??= new \Illuminate\View\ComponentAttributeBag; ?>
<?php foreach($attributes->onlyProps(['name', 'value', 'duration' => '', 'isMoney' => false]) as $__key => $__value) {
    $$__key = $$__key ?? $__value;
} ?>
<?php $attributes = $attributes->exceptProps(['name', 'value', 'duration' => '', 'isMoney' => false]); ?>
<?php foreach (array_filter((['name', 'value', 'duration' => '', 'isMoney' => false]), 'is_string', ARRAY_FILTER_USE_KEY) as $__key => $__value) {
    $$__key = $$__key ?? $__value;
} ?>
<?php $__defined_vars = get_defined_vars(); ?>
<?php foreach ($attributes as $__key => $__value) {
    if (array_key_exists($__key, $__defined_vars)) unset($$__key);
} ?>
<?php unset($__defined_vars); ?>
<div <?php echo e($attributes->merge(['class' => 'w-1/3 px-3 py-2 text-white rounded-lg bg-blue-700'])); ?>>
    <div class="metric-header flex justify-between">
        <span class="text-sm capitalize">Total <?php echo e($name); ?></span>
        <span class="text-xs capitalize"><?php echo e(str_replace('_', ' ', $duration)); ?></span>
    </div>
    <?php
    // variables for changes Array (sales and profits)
    $changesArray = ['change in profits', 'change in sales'];
    $positiveChange = in_array($name, $changesArray) && $value > 0;
    $negativeChange = in_array($name, $changesArray) && $value < 0;
    $neutralChange = in_array($name, $changesArray) && $value == 0;
    ?>
    <div class="metric-body mt-3 flex justify-center">
        <span class="text-sm"><?php echo e($isMoney ? '₦' : ''); ?></span>
        <span class="<?php echo \Illuminate\Support\Arr::toCssClasses([
            'value text-thin text-3xl',
            'text-red-600' => $negativeChange,
            'text-gray-500' => $neutralChange,
            'text-green-600' => $name == 'profit' or $positiveChange,
        ]) ?>">
            <?php echo e($value ?? $slot); ?>

        </span>
    </div>

    <?php if($name == 'sales'): ?>
        <div class="">
            <?php echo e(author()->totalBookSold($duration)); ?> books sold
        </div>
    <?php endif; ?>

</div>
<?php /**PATH /home/martins/udo/repo/personal/ims/resources/views/components/timely-metric.blade.php ENDPATH**/ ?>