<?php
    use Gloudemans\Shoppingcart\Facades\Cart;
?>


<?php $__env->startSection('content'); ?>
    <!-- Bordered Table -->


    <div class="d-block d-md-flex mx-auto">
        <div class="p-12 col-md-6 flex flex-col md:block place-items-center">
            <p class="w-2/3 text-white text-xl text-center">New User</p>
            <img class="w-2/3" src="<?php echo e(asset('pub_resources/icons/new_user.png')); ?>" alt="new user">
            <p class=" my-4 w-2/3 text-white text-xl text-center">
                <a href="<?php echo e(route('guest.checkout')); ?>" class="btn btn-primary">Click Here</a>
            </p>
        </div>

        <div class="mx-12 mt-12 col-md-5 flex flex-col md:block place-items-center">
            <p class="w-3/4 text-white text-xl text-center">Existing User</p>
            <img class="w-3/4" src="<?php echo e(asset('pub_resources/icons/existing_user.png')); ?>" alt="new user">
            <form class="w-2/3 mt-2 mb-40 md:my-3" method="POST" action="<?php echo e(route('guest.checkout.prepare')); ?>">
                <?php echo csrf_field(); ?>
                <div class="flex gap-1 text-center ">
                    <div class="matric_num_container bg-white form-control m-0 p-0 ">
                        <input type="text" class="form-control " name="mat_num" required
                            placeholder="Enter Matric Number">
                    </div>
                    <input type="submit" value="Go" class="btn btn-primary">
                </div>
                <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.input-single-error','data' => ['name' => 'mat_num','message' => $errors->get('message')]] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('input-single-error'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes(['name' => 'mat_num','message' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute($errors->get('message'))]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
            </form>
            
        </div>


    </div>
    <!--/ Bordered Table -->
<?php $__env->stopSection(); ?>

<?php echo $__env->make('snit.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/martins/udo/repo/personal/ims/resources/views/snit/guest/checkout/new_or_old_client_selection_page.blade.php ENDPATH**/ ?>