<?php $__env->startSection('content'); ?>
    <div class="">
        <h4 class="fw-bold py-3 mb-4 m-4"><span class="text-muted fw-light">Books/create/</span>Upload eBook</h4>
        <div class="col-md-12 px-4">
            <ul class="nav nav-pills flex-column flex-md-row mb-3">
                <li class="nav-item">
                    <a class="nav-link active" href="javascript:void(0);"><i class="bx bx-book me-1"></i> Upload A file for
                        <?php echo e(ucfirst($theBook->name)); ?></a>
                </li>
            </ul>
        </div>
        <div class="container col-12 d-md-flex">
            <div class="col-11 col-md-5 mx-4">
                <div class="card mb-4">
                    <div class="card-header d-flex justify-content-between align-items-center">
                        <h5 class="mb-0"></h5>
                    </div>
                    <div class="card-body">
                        <?php if($errors->any()): ?>
                            <div class="alert alert-danger">
                                <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.input-errors','data' => ['messages' => $errors->all()]] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('input-errors'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes(['messages' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute($errors->all())]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                            </div>
                        <?php endif; ?>
                        
                        <form class="" method="post" action="<?php echo e(route('docs.store')); ?>"
                            enctype="multipart/form-data">
                            <?php echo csrf_field(); ?>
                            <div class="mb-3">
                                <label class="form-label" for="book_id">Select The Book Title</label>
                                <select name="book_id" id="book_id" class="form-select ">
                                    
                                    <?php if(isset($theBook)): ?>
                                        <option value="<?php echo e($theBook->id); ?>" selected><?php echo e($theBook->name); ?></option>
                                    <?php endif; ?>
                                </select>
                            </div>


                            
                            <div class="mb-3">
                                <label for="book_file">eBook File </label>
                                <div class="text-muted">(Your main book. Only PDF files are accepted)</div>
                                
                                <span class="text-muted">(Upload your Book to Google Drive and insert the generated link
                                    here)</span>
                                <input type="text" class="form-control" name="demo_book_file_url">
                                <input type="hidden" name="book_file_url">

                                <p><a href="<?php echo e(route('google-file.preview')); ?>" target="myGoogleFrame"
                                        name='googlelinktester'>Test
                                        Google file link</a>
                                </p>
                            </div>

                            
                            <div class="mb-3">
                                <label for="front_cover">eBook Front Cover</label>
                                <span class='text-muted'> (jpg, jpeg and png are accepted)</span>
                                <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.input-file-img','data' => ['name' => 'front_cover']] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('input-file-img'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes(['name' => 'front_cover']); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>

                            </div>

                            
                            

                            
                            <button type="submit" class="btn btn-primary">Upload File</button>
                        </form>
                    </div>
                </div>
            </div>

            <div class="col-11 col-md-6 mx-4">
                <div class="card mb-4">
                    <style>
                        iframe {
                            width: 100%;
                            height: 500px;
                        }
                    </style>
                    <iframe src="<?php echo e(route('google-file.preview')); ?>" name="myGoogleFrame"></iframe>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startPush('child-scripts'); ?>
    <script>
        // alert('fufuna')
        const demo_book_file_url = document.querySelector('[name="demo_book_file_url"]') //user input
        const book_file_url = document.querySelector('[name="book_file_url"]') //user input
        const googlelinktester = document.querySelector('[name="googlelinktester"]')
        const myGoogleFrame = document.querySelector('[name="myGoogleFrame"]')
        demo_book_file_url.addEventListener('change', function() {
            // alert('ddh')
            generateGoogleLink(demo_book_file_url, book_file_url, googlelinktester, myGoogleFrame);
        });
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('snit.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/martins/udo/repo/personal/ims/resources/views/snit/auth/dashboard/books/docs/create.blade.php ENDPATH**/ ?>