<?php $__env->startSection('content'); ?>
    <div class="container-xxl flex-grow-1 container-p-y">
        <div class="d-flex justify-between">
            <h4 class="fw-bold py-1 mb-1"><span class="text-muted fw-light">Book Store
                    /</span>All Books By <span class="capitalize">
                    <?php echo e($author->fname); ?></span></h4>
            <a class="py-1 mb-1 text-black" href="<?php echo e(route('guest.cart')); ?>">
                <span
                    class="p-1 bg-yellow-500 rounded"><small><?php echo e(Cart::content()->count()); ?></small>
                </span>
                <i class="bx bx-cart" style="font-size: 2em;"></i>
                
            </a>
        </div>
        <div class="row  mb-5">
            <?php $__currentLoopData = $allbooks; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $book): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                
                

                <div class="col-md-6 col-lg-4 my-5">
                    <div class="card h-100">
                        <img class="card-img-top"
                            src="/storage/<?php echo e($book->doc->front_cover); ?>"
                            alt="Card image cap" height="300">
                        <div class="card-body">
                            <h5 class="card-title">Book Title: <?php echo e($book->name); ?>

                            </h5>

                            
                            <div
                                class="book_types_container grid grid-cols-3 sm:flex gap-2">
                                <?php echo $__env->make('snit.guest.search.partials.hardCopyVersion', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                <?php echo $__env->make('snit.guest.search.partials.ebookVersion', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                            </div>
                            <p class="card-text my-2">
                                This book is an introduction to programming for
                                level 1 students
                                
                            </p>

                            <a href="<?php echo e(route('guest.cart')); ?>"
                                class="btn btn-outline-primary " title="View Cart"
                                sr-only=" View Cart">
                                View Cart<i class="bx bx-cart"></i>
                            </a>

                        </div>
                    </div>
                </div>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

        </div>
    </div>
    <!-- / Content -->
<?php $__env->stopSection(); ?>

<?php $__env->startPush('child-scripts'); ?>
    <script>
        // alert('bado')
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('snit.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/martins/udo/repo/personal/ims/resources/views/snit/auth/dashboard/store/index_v2.blade.php ENDPATH**/ ?>