<?php use App\Enums\UserRoleEnum; ?>
<?php if(authy()->role(UserRoleEnum::ORG)): ?>
    <!-- Dashboard -->
    <ul class="menu-inner py-1">
        <li class="menu-item <?php echo e(thisRouteName() == 'dashboard' ? 'active' : ''); ?> ">
            <a href="<?php echo e(route('dashboard')); ?>" class="menu-link">
                <i class="menu-icon tf-icons bx bx-home-circle"></i>
                <div data-i18n="Analytics">Dashboard</div>
            </a>
        </li>
        


        <!-- User interface -->
        

        <!-- Misc -->
        <li class="menu-header my-0 small text-uppercase"><span class="menu-header-text">Financials</span></li>

        <li class="menu-item <?php echo e(thisRouteName() == 'books-income.index' ? ' active' : ''); ?>">
            <a class="menu-link menu-toggle cursor-pointer">
                <i class="menu-icon tf-icons bx bx-group"></i>
                <div data-i18n="User interface">Income Report</div>
            </a>
            <ul class="menu-sub">
                <li class="menu-item <?php echo e(thisRouteName() == 'sch_financials.index' ? ' active' : ''); ?> ">

                    <a href="<?php echo e(route('sch_financials.index')); ?>" class="menu-link">
                        <i class="menu-icon tf-icons bx bx-wallet"></i>
                        <div data-i18n="Basic" class='mx-1'> Summary (₦)
                        </div>
                    </a>
                </li>
            </ul>
        </li>

        <li class="menu-header my-0 small text-uppercase"><span class="menu-header-text">Config</span></li>

        


        <li class="menu-item <?php echo e(thisRouteName() == 'admin.profile.edit' ? ' active' : ''); ?>">
            <a href="<?php echo e(route('admin.profile.edit')); ?>" class="menu-link">
                <i class="menu-icon tf-icons bx bx-cog"></i>
                <div data-i18n="Tooltips & Popovers">Config</div>
            </a>
        </li>

        <?php if(auth()->user()->is_admin): ?>
            <li class="menu-item <?php echo e(thisRouteName() == 'dev_financials.index' ? ' active' : ''); ?> ">
                <a href="<?php echo e(route('dev_financials.index')); ?>" class="menu-link">
                    <i class="menu-icon tf-icons bx bx-wallet"></i>
                    <div data-i18n="Basic"> $ Dev Income </div>
                </a>
            </li>
        <?php endif; ?>

        <!-- Misc -->


        <li class="menu-item my-5 ">
            <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.logout','data' => []] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('logout'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
        </li>
    </ul>
<?php endif; ?>
<?php /**PATH /home/martins/udo/repo/personal/ims/resources/views/snit/auth/dashboard/partials/aside_menu_for_sch.blade.php ENDPATH**/ ?>