<!DOCTYPE html>
<html lang="<?php echo e(str_replace('_', '-', app()->getLocale())); ?>">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title><?php echo e(env('APP_NAME', 'IMS')); ?></title>

    <!-- Fonts -->
    <link rel="preconnect" href="https://fonts.bunny.net">
    <link href="https://fonts.bunny.net/css?family=figtree:400,600&display=swap" rel="stylesheet" />

    <!-- Styles -->
    <style src="/page_css/welcome_students.css"></style>

    
    
    <?php echo app('Illuminate\Foundation\Vite')(getViteFiles()); ?>


</head>

<body class="antialiased h-[100vh] overflow-hidden m-0">
    <div class="top-links dark:bg-gray-900 pt-10 flex justify-end gap-3 px-5">
        
        
    </div>
    <div
        class="relative sm:flex sm:justify-center sm:items-center min-h-screen bg-dots-darker bg-center bg-gray-100 dark:bg-dots-lighter dark:bg-gray-900 selection:bg-red-500 selection:text-white">
        <div class="max-w-7xl mx-auto p-6 lg:p-8">
            <div class="flex justify-center">
                <div>
                    <div class="mx-auto text-center my-5">
                        <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.application-logo-snit','data' => []] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('application-logo-snit'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                    </div>

                    <h2 class=" text-center mt-1 text-xl font-semibold text-gray-900 dark:text-white">AIMS Search Engine
                    </h2>


                    <h4 class="mt-1 text-xl font-light text-gray-900 dark:text-white">Learn Today so You can Earn
                        Tomorrow</h4>
                    


                </div>
            </div>

            <div class="mt-16">
                <div class="grid grid-cols-1 gap-1 lg:gap-8">
                    <div class=" d-flex align-items-center" id="">
                        <!-- Search -->
                        <div class="align-items-center">
                            <form class="my-2" action="<?php echo e(route('guest.search_results')); ?>" id="search_form"><?php echo csrf_field(); ?>
                                <div class="">
                                    <input required type="text" class="form-control border-0 shadow-none w-full p-5  rounded-3xl"
                                        placeholder="Search for authors and books... " aria-label="Search..."
                                        name="searchfor" size="80" />
                                    <br> <br>
                                    <div class="text-center">
                                        <button type="submit text-center"
                                            class=" bg-transparent cursor-pointer border-0 bg-blue-500 text-white p-3 rounded-lg w-50">
                                            Go
                                        </button>
                                    </div>
                                </div>
                            </form>

                            <div class="my-5 visit-store text-center  text-lg text-white uppercase"><span href=""
                                    class="text-black dark:text-white">or
                                </span></div>
                            <div class="mx-auto w-36 visit-store text-center text-lg rounded-lg bg-blue-500 text-white">
                                <a href="<?php echo e(route('guest.bookstore')); ?>" class="text-white">Visit Store</a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</body>

</html>
<?php /**PATH /home/martins/udo/repo/personal/ims/resources/views/welcome_students.blade.php ENDPATH**/ ?>