<?php $__env->startSection('content'); ?>
    <div class="container-xxl flex-grow-1 container-p-y">
        <h4 class="fw-bold py-3 mb-4">
            <span class="text-gray-300 fw-normal">
                View Registered Course Departments for the current academic year
            </span>
        </h4>

        <div class="row">

            <div class="col-md-12">
                <?php if($allDepartments->count() == 0): ?>
                    <div class="text-center">
                        <p class="my-3 text-gray-100">You don't have any departments.</p>

                        <a href="<?php echo e(route('depts.create')); ?>">
                            <button class="btn btn-primary">
                                Create a department
                            </button>
                        </a>

                    </div>
                <?php else: ?>
                    <?php echo $__env->make('snit.auth.dashboard.depts.partials.dept_config_mini_nav', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                    <div class="card mt-10 ">
                        <div class="card-body m-0 p-0">
                            
                            <div class="table-responsive text-nowrap">
                                <table class="table pb-10">
                                    <thead class="bg-blue-400 ">
                                        <tr>
                                            <?php $__currentLoopData = $table_headers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $heading): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <th class="text-white">
                                                    <?php echo str_replace('_', ' ', $heading); ?></th>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php $__currentLoopData = $allDepartments; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $dept): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <tr class="">
                                                
                                                <td>
                                                    <span class="uppercase text-left"><?php echo e($dept->name); ?></span>
                                                </td>
                                                <td>
                                                    <span><?php echo e(strtoupper($dept->presentProgramType())); ?></span>
                                                </td>

                                                <td>
                                                    <span
                                                        class="uppercase"><?php echo e(strtoupper($dept->dept_level ?? 'not set')); ?></span>
                                                </td>

                                                <td>
                                                    <span
                                                        class="uppercase"><?php echo e(strtoupper($dept->sample_matric_num ?? 'not set')); ?></span>
                                                </td>

                                                <td>
                                                    <span
                                                        class="uppercase"><?php echo e(strtoupper($dept->institute ?? 'not set')); ?></span>
                                                </td>

                                                
                                                

                                                
                                                <td>
                                                    <div class="d-flex">
                                                        <a class="dropdown-item"
                                                            href="<?php echo e(route('depts.edit', $dept->id)); ?>"><i
                                                                class="bx bx-edit-alt me-1"></i></a>
                                                    </div>
                                                </td>


                                                
                                                <td>
                                                    <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.delete-resource-and-refresh','data' => ['resourcename' => 'dept','resource' => $dept,'routename' => 'depts.destroy']] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('delete-resource-and-refresh'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes(['resourcename' => 'dept','resource' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute($dept),'routename' => 'depts.destroy']); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                                                </td>
                                            </tr>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                        <!-- /Account -->
                    </div>
                <?php endif; ?>

            </div>
        </div>
    </div>
    <!-- / Content -->
<?php $__env->stopSection(); ?>

<?php echo $__env->make('snit.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/martins/udo/repo/personal/ims/resources/views/snit/auth/dashboard/depts/index.blade.php ENDPATH**/ ?>