<?php

namespace App\Http\Controllers;

use Illuminate\Contracts\View\View;
use Illuminate\Support\Facades\Auth;

class BookIncomeController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function revenue(): View
    {
        $table_headers = [
            'Front cover',
            // "Back cover",
            'Book Title',
            // 'isbn',
            'Book price <br> paper | ebook',
            'paper <br> Sold',
            'eBook<br> Sold',
            'Total <br>  Sold',
            'Total <br> revenue (₦)',

        ];
        // $allBooks = Auth::user()->author->books()->with('doc')->orderBy('id', 'desc')->get();
        $allBooks = Auth::user()->author->books()->has('doc')->orderBy('id', 'desc')->get();
        // dd($allBooks);
        return view('snit.auth.dashboard.financials.revenue_books.index', compact('allBooks', 'table_headers'));
    }


    public function profit(): View
    {
        $table_headers = [
            'Front <br> cover',
            'Book Title',
            'book price <br> paper | ebook',
            // profit
            'hardcover <br> profit (₦)',
            'Ebook <br> profit (₦)',

            'total <br> profit',
        ];
        $allBooks = author()->books()->has('doc')->orderBy('id', 'desc')->get();
        // dd($allBooks);
        return view('snit.auth.dashboard.financials.income_books.index', compact('allBooks', 'table_headers'));
    }
}
