<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class UpdateDocumentRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, mixed>
     */
    public function rules()
    {
        return [
            'book_id' => 'sometimes',
            // 'book_file'    => 'required_without:current_book_file|max:2048',
            'book_file_url' => 'required_without:book_file_url_hidden',
            'current_book_file' => 'required_without:book_file|max:2048', //for edit purposes
            'front_cover' => 'nullable|file|max:512',
            'back_cover' => 'nullable|file|max:512',
        ];
    }

    public function prepareForValidation()
    {
        // code...
        // dd($this->all());
    }
}
