<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class BankAccount extends Model
{
    use HasFactory;

    protected $fillable = [
        'bank_name',
        'bank_code',
        'account_holder',
        'account_number',
        'user_id'
    ];


    public function user()
    {
        return $this->belongsTo(User::class);
    }
}
