<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class OrgAdmin extends Model
{
    use HasFactory;

    protected $table = 'org_admins';

    protected $guarded = ['id'];


    // relationships
    public function user()
    {
        return $this->belongsTo(User::class);
    }

    public function org()
    {
        return $this->belongsTo(Organisation::class,'org_id', 'id');
    }


    
}
