<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('orders', function (Blueprint $table) {
            $table->float('dev_remit', total: 8, places: 6)->default(0.00);
            $table->dropColumn('flw_remit');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('orders', function (Blueprint $table) {
            // default setting
            $table->float('dev_remit', total: 8, places: 6)->default(0.00)->change();
            $table->float('flw_remit', 8)->default(0.00);

        });


    }
};
