<?php

namespace Database\Seeders;

use App\Models\Client;
use App\Models\Organisation;
use Illuminate\Database\Seeder;
use stdClass;

class ClientSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        // ['fname', 'lname', 'phone', 'sch_name', 'mat_num', 'is_student', 'client_address_id', 'org_id'];
        // $client1 = new stdClass;
        // $client1->fname = 'Mary';
        // $client1->fname = 'Nkem';
        // $client1->phone = '09876543451';
        // $client1->sch = 'dspg';
        // $client1->mat_num = 'mat/nd/23/24/' . rand(1, 2000);
        // $client1->is_student = 1;
        // $client1->address_id = 1;
        // $client1->organisation_id = $dspg_id;
        // $clients[] = $client1;
        // $kaydee

        $clients = $this->prepareClients();
        foreach ($clients as $key => $client) {
            Client::create($client);
            // dd($client);
        }
    }

    public function prepareClients()
    {
        $dspg_id = Organisation::where('slug', 'DSPG')->first()->id;

        $kaydee = ['fname' => 'kelvin', 'lname' => 'dieie', 'phone' => '0817726373838', 'sch' => 'dspg', 'mat_num' => ('com/nd/23/24/' . rand(1, 2000)), 'is_student' => '1', 'organisation_id' => $dspg_id];
        $henry = ['fname' => 'henry', 'lname' => 'azagba', 'phone' => '081084873838', 'sch' => 'dspg', 'mat_num' => ('com/nd/23/24/' . rand(1, 2000)), 'is_student' => '1', 'organisation_id' => $dspg_id];
        $mary = ['fname' => 'mary', 'lname' => 'nkem', 'phone' => '09876543451', 'sch' => 'dspg', 'mat_num' => ('com/nd/23/24/' . rand(1, 2000)), 'is_student' => '1', 'organisation_id' => $dspg_id];
        $daniel = ['fname' => 'daniel', 'lname' => 'ndukuba', 'phone' => '0802938294344', 'sch' => 'dspg', 'mat_num' => ('com/nd/23/24/' . rand(1, 2000)), 'is_student' => '1', 'organisation_id' => $dspg_id];
        $chibuzor = ['fname' => 'chibuzor', 'lname' => 'okeke', 'phone' => '081929399333', 'sch' => 'dspg', 'mat_num' => ('mat/nd/23/24/' . rand(1, 2000)), 'is_student' => '1', 'organisation_id' => $dspg_id];

        return $clients = [$kaydee, $henry, $mary, $daniel, $chibuzor];
    }
}
