<?php

namespace Database\Seeders;

// use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;

class DatabaseSeeder extends Seeder
{
    /**
     * Seed the application's database.
     *
     * @return void
     */
    public function run()
    {
        $this->myCertified();
    }

    public function myCertified()
    {
        $this->call([
            UserSeeder::class, //done
            ContinentSeeder::class,
            CountrySeeder::class,
            LanguageSeeder::class,
            CurrencySeeder::class,
            OrganisationSeeder::class, //done
            PGSeeder::class,


            // ClientSeeder::class

        ]);
    }

    public function laravelDefault()
    {
        // \App\Models\User::factory(10)->create();

        // \App\Models\User::factory()->create([
        //     'name' => 'Test User',
        //     'email' => 'test@example.com',
        // ]);
    }



}
