<?php

namespace Database\Seeders;

use App\Models\Language;
use Illuminate\Database\Seeder;

class LanguageSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $langs = ['en' => 'english', 'ibo' => 'igbo', 'yor' => 'yoruba', 'hau' => 'hausa', 'spa' => 'spanish', 'fr' => 'french', 'de' => 'german', 'pt' => 'portuguese'];
        foreach ($langs as $key => $language) {
            Language::create(['code' => $key, 'title' => $language]);
        }
    }
}
