// page script for route : /register
// page script for view : register-basic.blade.php

const schCodeBox = document.querySelector(".sch_ims_code_box");
const schCheckBox = document.getElementById("org_admin");

//for role
const roleSelector = document.querySelector('#role');
const schAdminBox = document.querySelector('#org_admin_box');

//for organisation
const orgSelector = document.querySelector('#organisation');
const newOrgNameField = document.querySelector('#organisation_name');

//Event Listeners

schCheckBox.addEventListener("change", () => {
    if (schCheckBox.checked)
        schCodeBox.classList.remove('d-none'); //display
    else schCodeBox.classList.add('d-none'); //hide
});

//for organisation
orgSelector.addEventListener("change", () => {
    if (orgSelector.value === 'new') {
        newOrgNameField.classList.remove('d-none') //display 
        schAdminBox.classList.add('d-none') //hide
    } else {
        newOrgNameField.classList.add('d-none') //hide
        if (roleSelector.value === 'org_admin')
            schAdminBox.classList.remove('d-none') //display
    }
})

//for role
roleSelector.addEventListener("change", () => {
    if (roleSelector.value === 'org_admin' &&
        orgSelector.value !== 'new')
        schAdminBox.classList.remove('d-none') //display
    else schAdminBox.classList.add('d-none') //hide
})