window.fireSwal = function (setup = {}) {
   alert('swal here')
   if (setup == {})
      setup = {
         title: setup['title'] || 'default title',
         text: setup['text'] || 'default text',
         icon: setup['icon'] || 'info',
         // buttons: setup['button'] || 'true',
         buttons: ['Cancel', 'Yes'],
         timer: 5500,
      };
   return swal(setup);
}

window.logoutSwal = function () {
   swal({
      title: 'Logout?',
      text: 'Are you sure you want to logout',
      icon: 'info',
      buttons: {
         cancel: 'Run Away!',
         proceed: true
      }
   }).then((value) => {
      switch (value) {
         case 'proceed':
            let the_form = document.getElementById("logout_form");
            setTimeout(() => the_form.submit(), 1000);
            swal('OK Boss!', 'Logout Successful!', 'success');
      }
   })
}


window.deleteResourceSwal = function (id, resourcename) {
   swal({
      title: 'Delete?',
      text: 'Are you sure you want to delete this '+ resourcename + '?',
      icon: 'info',
      buttons: {
         cancel: 'Run Away!',
         proceed: true
      }
   }).then((value) => {
      switch (value) {
         case 'proceed':
            let the_form = document.getElementById(`delete_${resourcename}_form_for_${id}`);
            setTimeout(() => the_form.submit(), 10);
            // swal('OK Boss!', 'Logout Successful!', 'success');
      }
   })
}

window.generateGoogleLink =  function(demo_book_file_url, book_file_url, googlelinktester, myGoogleFrame){

   console.log(demo_book_file_url, book_file_url, googlelinktester, myGoogleFrame);
         // get the user input 
         let rawUserInput = demo_book_file_url.value;

         // first thing is to assign the original user input (main file url) to the book_file_url that will be uploaded to the server
         book_file_url.value = rawUserInput;

         // we want to replace 'view' with 'preview' and delete everything after the 'view'

         // step 1 : find the 'view' string in the user input 
         const endIndex = rawUserInput.indexOf('view?'); //using -1 ensures that it is not in the new str
         // cut out all the parts starting from the 'view' string to d end
         let substr = rawUserInput.substr(0, endIndex);
         // replace the cut out string with the official embed code
         let validEmbedStr = substr + 'preview?usp=embed_googleplus';

         // transform input tag and url link
         googlelinktester.setAttribute('href', validEmbedStr);
         demo_book_file_url.value = validEmbedStr;
         
         myGoogleFrame.setAttribute('src', demo_book_file_url.value);
}
console.log('referrer', document.referrer)


// export 