@extends('snit.layouts.app')
@section('content')
    <div class="container-xxl flex-grow-1 container-p-y">
        <h4 class="fw-bold py-3 mb-4"><span class="text-muted fw-normal">Generate Departmental Report for Academic Session
                year</span></h4>

        <div class="row">
            <div class="col-md-12">
                @include('snit.auth.dashboard.depts.partials.dept_config_mini_nav')

                <div class="card mb-4">
                    <div class="card-body">
                        {{-- {{ dd(author()   ) }} --}}
                        <form id="formAccountSettings" method="post" action="{{ route('user.create.dept-report') }}">
                            @csrf
                            <div class="row">

                                {{-- Name of Department --}}
                                <div class="mb-3 col-md-6">
                                    <label for="dept" class="form-label">Choose Department </label>
                                    <select id="dept" name="dept" class="select2 form-select">
                                        <option value="">--Select A Department--</option>
                                        @foreach (auth()->user()->depts as $dept)
                                            <option value="{{ $dept->id }}">--{{ $dept->name }} --</option>
                                        @endforeach
                                    </select>
                                </div>


                            </div>
                            <div class="mt-2">
                                <button type="submit" class="btn btn-primary me-2">Save changes</button>
                                <button type="reset" class="btn btn-outline-secondary">Cancel</button>
                            </div>
                        </form>
                    </div>
                    <!-- /Account -->
                </div>
            </div>
        </div>
    </div>
    <!-- / Content -->
@endsection
