@extends('snit.layouts.auth')
@section('content')
    <h6 class="mb-2 text-center">Forgot Password? 🔒</h6>
    <p class="mb-4 text-sm">Enter your email and we'll send you instructions to reset your password</p>
    <form id="formAuthentication" class="mb-3" action="{{ route('password.email') }}" method="POST">
        @csrf
        <div class="mb-3">
            <label for="email" class="my-0 text-sm">Email</label>
            <input type="text" class="form-control" id="email" name="email" placeholder="Enter your email"
                autofocus />
                @error('email')
                   <div class="text-red-600 text-sm"> {{ $message }}</div>
                @enderror
        </div>
        <button class="btn btn-sm btn-primary d-grid w-100">Send Reset Link</button>
    </form>
    <div class="text-center mt-5">
        <a href="{{ route('login') }}" class="d-flex align-items-center justify-content-center">
            <i class="bx bx-chevron-left scaleX-n1-rtl bx-sm"></i>
            Back to login
        </a>
    </div>
    </div>
    </div>
    <!-- /Forgot Password -->
@endsection