@php
    use Gloudemans\Shoppingcart\Facades\Cart;
@endphp
@extends('snit.layouts.app')

@section('content')
    <!-- Bordered Table -->


    <div class="d-block d-md-flex mx-auto">
        <div class="p-12 col-md-6 flex flex-col md:block place-items-center">
            <p class="w-2/3 text-white text-xl text-center">New User</p>
            <img class="w-2/3" src="{{ asset('pub_resources/icons/new_user.png') }}" alt="new user">
            <p class=" my-4 w-2/3 text-white text-xl text-center">
                <a href="{{ route('guest.checkout') }}" class="btn btn-primary">Click Here</a>
            </p>
        </div>

        <div class="mx-12 mt-12 col-md-5 flex flex-col md:block place-items-center">
            <p class="w-3/4 text-white text-xl text-center">Existing User</p>
            <img class="w-3/4" src="{{ asset('pub_resources/icons/existing_user.png') }}" alt="new user">
            <form class="w-2/3 mt-2 mb-40 md:my-3" method="POST" action="{{ route('guest.checkout.prepare') }}">
                @csrf
                <div class="flex gap-1 text-center ">
                    <div class="matric_num_container bg-white form-control m-0 p-0 ">
                        <input type="text" class="form-control " name="mat_num" required
                            placeholder="Enter Matric Number">
                    </div>
                    <input type="submit" value="Go" class="btn btn-primary">
                </div>
                <x-input-single-error name="mat_num" :message="$errors->get('message')" />
            </form>
            {{-- @if ($errors->any())
                <div class="alert alert-danger">
                    <x-input-errors :messages="$errors->all()" />
                </div>
            @endif --}}
        </div>


    </div>
    <!--/ Bordered Table -->
@endsection
