<h6 class="ebook_version">
    {{-- ebook version of the form --}}
    <form id="ebook_add_to_cart_form_{{ $book->id }}"
        action="{{ route('guest.cart.store', ['product' => $book->id, 'author' => $book->author->id, 'type' => 'ebook']) }}"
        method="post">@csrf
    </form>
    <form id="ebook_remove_from_cart_form_{{ $book->id }}"
        action="{{ route('guest.cart-destroy', ['item_id' => $book->id, 'author' => $book->author->id, 'type' => 'ebook']) }}"
        method="post">@csrf
        @method('delete')
    </form>
    <div class="priceview">
        <div class="block pb-1">
            <small>
                Ebook</small>
        </div>
        <small class="block pb-1">
            @₦{{ number_format($book->presentEbookPrice()) }}</small>
    </div>
    <div class="cart_cta ">
        @if (in_array($book->id, array_keys($cartItemsIDs)) and $book->presentEbookPrice() == getCartItemByID($book->id)->price)
            <button form="ebook_remove_from_cart_form_{{ $book->id }}" type='submit'
                class="block btn btn-outline-danger btn-xs rounded-lg" title="Remove from Cart"
                sr-only=" Remove item from Cart">
                <i class="bi bi-cart-x-fill text-3xl"></i>

            </button>
        @else
            <button form="ebook_add_to_cart_form_{{ $book->id }}" type='submit'
                class="block btn btn-outline-success btn-xs rounded-lg" title="Add to Cart" sr-only=" Add to Cart">
                <i class="bi bi-cart-plus-fill text-3xl"></i>
            </button>
        @endif
        {{-- inventory notifier --}}
        <small class="text-xs fw-light text-black inline-block mt-1">Available </small>
    </div>
</h6>
