{{-- this is the main dashboard layout for the app --}}

@include('snit.auth.dashboard.partials.head')
<style>
</style>

<body>
    <!-- preloader -->
    {{-- <div class="preloader1">
        <div class="preloader min-h-screen flex justify-center align-center bg-blue-300">
            <span class="animate-ping">
                <x-application-logo-snit-blue-svg />
            </span>
        </div>
    </div> --}}
    <x-app-preloader />

    <!-- website Layout wrapper -->
    <div class="hidden box-content layout-wrapper layout-content-navbar">
        <div class="layout-container">
            <!-- Menu -->
            {{-- aside menu goes here --}}

            @include('snit.auth.dashboard.partials.aside_menu')
            <!-- / Menu -->

            <!-- Layout container -->
            <div class="layout-page">
                <!-- Navbar -->
                @include('snit.auth.dashboard.partials.top_searchbar_and_mobile_nav')
                <!-- / Navbar -->
                <!-- Content wrapper -->
                <div class="content-wrapper">
                    <!-- Content -->
                    <x-alert-box />
                    @yield('content')

                </div>
                <!-- Footer -->
                <footer class="content-footer footer bg-footer-theme">
                    <div class="container-xxl d-flex flex-wrap justify-content-between py-2 flex-md-row flex-column">
                        <div class="mb-2 mb-md-0">
                            ©
                            <script>
                                document.write(new Date().getFullYear());
                            </script>, made with ❤️ by Marxon Inc.
                            {{-- <a href="https://themeselection.com" target="_blank"
                                class="footer-link fw-bolder">ThemeSelection</a> --}}
                        </div>
                        <div>
                            <a href="https://daniels-martins.netlify.app/" target="_blank" class="footer-link me-4">Meet
                                Dev Team</a>

                            {{-- <a href="https://themeselection.com/license/" class="footer-link me-4"
                                target="_blank">License</a>
                            <a href="https://themeselection.com/" target="_blank" class="footer-link me-4">More
                                Themes</a>

                            <a href="https://themeselection.com/demo/sneat-bootstrap-html-admin-template/documentation/"
                                target="_blank" class="footer-link me-4">Documentation</a>

                            <a href="https://github.com/themeselection/sneat-html-admin-template-free/issues"
                                target="_blank" class="footer-link me-4">Support</a> --}}
                        </div>
                    </div>
                </footer>
                <!-- / Footer -->

                <div class="content-backdrop fade"></div>
            </div>
            <!-- Content wrapper -->
        </div>
        <!-- / Layout page -->
    </div>

    <!-- Overlay -->
    <div class="layout-overlay layout-menu-toggle"></div>
    </div>

    <!-- / Layout wrapper -->

    <!-- Core JS -->
    <!-- build:js assets/vendor/js/core.js -->
    <script defer src="/static/assets/vendor/libs/jquery/jquery.js"></script>
    <script defer src="/static/assets/vendor/libs/popper/popper.js"></script>
    <script defer src="/static/assets/vendor/js/bootstrap.js"></script>
    <script defer src="/static/assets/vendor/libs/perfect-scrollbar/perfect-scrollbar.js"></script>

    <script defer src="/static/assets/vendor/js/menu.js"></script>
    <!-- endbuild -->

    <!-- Vendors JS -->
    <script defer src="/static/assets/vendor/libs/apex-charts/apexcharts.js"></script>

    <!-- Main JS -->
    <script defer src="/static/assets/js/main.js"></script>

    <!-- Page JS -->
    <script defer src="/static/assets/js/dashboards-analytics.js"></script>

    <!-- Place this tag in your head or just before your close body tag. -->
    <script async defer src="https://buttons.github.io/buttons.js"></script>


    <style>
        @media print {
            @page {
                margin-top: 0;
                margin-bottom: 10px;
            }

            .card-header,
            .no-print {
                display: none;
            }
        }
    </style>

    {{-- custom page js --}}
    <script src="/pub_resources/js/loader.js"></script>
    @stack('child-scripts')

</body>

</html>
