<?php

use App\Http\Controllers\BankInfoController;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\DashboardController;

/*
|--------------------------------------------------------------------------
| General Routes Pertaining to Logged In author
|--------------------------------------------------------------------------
*/

Route::get('/dashboard', DashboardController::class)->name('dashboard');

require __DIR__ . '/config_routes.php';

require __DIR__ . '/report_gen.php';

require __DIR__ . '/book_related_routes.php';

require __DIR__ . '/order_routes.php';

require __DIR__ . '/customer_related_routes.php';

Route::post('/bankinfo/update/', [BankInfoController::class, 'update'])->name('bankinfo.update');



