<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\OrderController;

/*
|--------------------------------------------------------------------------
| Order Routes Pertaining to Logged In author {should have it's own route file}
|--------------------------------------------------------------------------
*/

Route::get('/orders', [OrderController::class, 'index'])->name('orders.index');
Route::post('/orders', [OrderController::class, 'store'])->name('orders.store');

Route::get('/orders/create', [OrderController::class, 'create'])->name('orders.create');

Route::get('/orders/{order}/edit', [OrderController::class, 'edit'])->name('orders.edit');
Route::patch('/orders/{order}', [OrderController::class, 'update'])->name('orders.update');

Route::delete('/orders/{order}', [OrderController::class, 'destroy'])->name('orders.destroy');