<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\ReportGeneratorController;

/*
|--------------------------------------------------------------------------
| Report Generation and management Routes Pertaining to Logged In author
|--------------------------------------------------------------------------
*/

// show form to generate report
Route::match(['post', 'get'], '/dept/reports/create', [ReportGeneratorController::class, 'create'])->name('user.create.dept-report');

// show generated report
Route::match(['post', 'get'], '/dept/reports/{dept}/show', [ReportGeneratorController::class, 'show'])->name('user.show.dept-report');

// download generated report for each department using pdf and excel
Route::get('/dept/reports/{dept}/download', [ReportGeneratorController::class, 'downloadReport'])->name('user.store.dept-report');