<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| App Introductory Routes for both Clients and Authors
|--------------------------------------------------------------------------
*/
Route::group(['middleware' => 'guest'], function () {
    //  landing page
    // Route::view('/', 'landingpage.index')->name('landingpage.index');
    // eliminating the need for the landing page
    Route::view('/', 'landingpage.choose')->name('landingpage.index');



    // aims.com with links to the two pages below
    Route::view('/choose', 'landingpage.choose')->name('landingpage.choose');

    // we need two pages that welcome both instructor and student

    // aims.com/instructor welcome page
    Route::view('/sell', 'welcome_authors')->name('welcome_authors');

    // aims.com/student : for student or customers welcome page
    Route::view('/buy', 'welcome_students')->name('welcome_students');
});
