<?php

// use routes;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/


/*
|--------------------------------------------------------------------------
| App Introductory Routes for both Clients and Authors
|--------------------------------------------------------------------------
*/
require __DIR__ . '/guest/app_intro/app_intro.php';

/*
|--------------------------------------------------------------------------
| Pulic Routes for Clients Only
|--------------------------------------------------------------------------
*/
require __DIR__ . '/guest/public_routes_for_clients.php';

/*
|--------------------------------------------------------------------------
|  Guest client routes related to cart and checkout
|--------------------------------------------------------------------------
*/
require __DIR__ . '/guest/cart_and_checkout/cart.php';

require __DIR__ . '/guest/cart_and_checkout/checkout.php';

/*
|--------------------------------------------------------------------------
| Auth Routes for Authors and Dev. My custom auth routes are also included.
|--------------------------------------------------------------------------
*/
require __DIR__ . '/auth/auth.php'; //laravel default auth routes

require __DIR__ . '/auth/my_auth.php'; // my custom auth routes


/*
|--------------------------------------------------------------------------
| Developer Routes for CLI and dev operations
|--------------------------------------------------------------------------
*/
require __DIR__ . '/dev/dev.php';


