<?php $__env->startSection('content'); ?>
    <!-- Bordered Table -->
    <?php if(count($allOrderedItems) >= 1): ?>
        <div class="card mx-8 my-3">
            <div class="d-flex justify-content-between my-0">
                <h6 class="card-header"> Client with Matric Number :
                    <span class="uppercase">"<?php echo e($searchfor); ?>"</span>
                </h6>
                <div class="mt-3 md:mx-10">
                    <p class="text-sm">
                        Total Purchases : <?php echo e(count($allOrderedItems)); ?>

                    </p>
                </div>
            </div>
            <form class="my-0">
                

                <?php if($searchfor): ?>
                    <h5 class="mx-4 text-secondary mt-0">
                        <small> Search Results for "<?php echo e($searchfor); ?>"</small>
                        <small class="block mt-2">
                            <a href="<?php echo e(route('guest.bookstore')); ?>">
                                <span class="text-gray-500 underline">Search again</span>
                            </a>
                        </small>
                    </h5>
                <?php endif; ?>
                <div class="mx-4 col-10 col-sm-5">
                    
                </div>
            </form>

            <div class="card-body">
                <div class="table-responsive text-nowrap ">
                    <table class="table">
                        <thead>
                            <tr class="bg-blue-600">
                                <?php $__currentLoopData = $table_headers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $heading): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <th> <small class="text-white fw-normal"> <?php echo $heading; ?></small></th>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tr>
                        </thead>
                        <tbody>
                            <?php $__currentLoopData = $allOrderedItems; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $itemOrdered): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td><?php echo e($foundClient->fname); ?></td>
                                    <td><?php echo e($foundClient->mat_num); ?></td>
                                    <td><?php echo e($foundClient->phone); ?></td>
                                    <td><?php echo e($itemOrdered['name']); ?></td>
                                    <td><?php echo e($itemOrdered['price']); ?></td>
                                    <td><?php echo e($itemOrdered['type']); ?></td>
                                    <td><?php echo e($itemOrdered['model']->author->fname); ?></td>
                                    <td><?php echo e($itemOrdered['datePurchased']); ?></td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    <?php elseif(count($allOrderedItems) < 1 && request('searchfor')): ?>
        <h4 class="my-5 py-5 text-center fw-light"> There are no Clients with info :
            "<?php echo e($searchfor); ?>"
            <p class="mt-4">
                <button class="btn btn-primary" onclick="history.back()">
                    Search again
                </button>
            </p>
        </h4>
    <?php elseif(count($allOrderedItems) < 1 && !request('filterby')): ?>
        <h4 class="my-5 py-5 text-center fw-light"> There are no Clients for
            "<?php echo e($searchfor); ?>"

            <p class="mt-4">
                <button class="btn btn-primary" onclick="history.back()">
                    Search again
                </button>
            </p>

        </h4>
    <?php endif; ?>
    <!--/ Bordered Table -->
<?php $__env->stopSection(); ?>

<?php echo $__env->make('snit.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/martins/udo/repo/personal/ims/resources/views/snit/guest/search/client_history.blade.php ENDPATH**/ ?>