<?php $__env->startSection('content'); ?>
    <div class="mt-16 offset-sm-4 col-sm-4">
        <div class="card">
            <div class="card-header d-flex justify-content-between align-items-center">
                <h5 class="my-0">
                    <span class="block mb-2">Select Organisation</span>
                </h5>
            </div>
            <div class="card-body">
                <div class="mb-3">
                    <input class="form-control" id="org" list="organisations"
                        placeholder="--Select Organisation--" />
                    <datalist id='organisations'>
                        <?php $__currentLoopData = $orgs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $org): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option value="<?php echo e($org->slug); ?>"> <?php echo e($org->name); ?> </option>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </datalist>
                </div>
                <button id="redirect_with_org" type="button"
                    class="btn btn-sm form-control btn-outline-primary">Proceed</button>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('child-scripts'); ?>
    <script>
        const redirectBtn = document.querySelector('#redirect_with_org');
        const orgElement = document.querySelector('#org');
        redirectBtn.onclick = () => {
            const stringToPushToUrl = orgElement.value
            const currentLocation = window.location.href
            const newLocation = currentLocation.replace('begin', stringToPushToUrl)

            window.location.href = newLocation
            // newLocation = currentLocation + `/${stringToPushToUrl}`
        }
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('snit.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/martins/udo/repo/personal/ims/resources/views/snit/auth/dashboard/financials/revenue_authors/begin.blade.php ENDPATH**/ ?>