<?php $__env->startSection('content'); ?>
    <div class="container-xxl flex-grow-1 container-p-y">
        <h4 class="fw-light py-1 mb-1"><span class="text-muted fw-light">
                My Registered Departments
        </h4>

        <div class="row  mb-5">
            <?php $__empty_1 = true; $__currentLoopData = $deptsInOrg; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $dept): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                <div class="col-md-6 col-lg-4 my-2">
                    <div class="card h-100 rounded-sm">
                        
                        <div class="card-body pb-0">
                            <p class="mx-1 mb-2 card-title text-sm uppercase">
                                <small class="font-semibold"> <?php echo e($dept->name); ?></small>
                            </p>

                            
                            <a href="<?php echo e(route('dept-clients.show-all', $dept->slug)); ?>"
                                class="btn btn-sm btn-outline-primary m-1" title="View All Clients"
                                sr-only='View All Clients'>
                                <i class="bx bx-xs bx-see bx-show"></i>
                                view all clients
                                <i class="bx bx-xs bx-group"></i>
                            </a>
                            <?php echo e($dept->getClients()->count()); ?>

                            </p>
                            
                            </span>
                        </div>
                    </div>
                </div>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                <h4 class="my-5 text-center fw-light"> You have no departments <a class="underline"
                        href="<?php echo e(route('depts.create')); ?>"> click
                        here </a> to create a new department </h4>
            <?php endif; ?>
        </div>
    </div>
    <!-- / Content -->
<?php $__env->stopSection(); ?>
<?php $__env->startPush('child-scripts'); ?>
    <script>
        console.log('the bookstore page for the author boy')
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('snit.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/martins/udo/repo/personal/ims/resources/views/snit/auth/dashboard/clients/clients_by_dept/index.blade.php ENDPATH**/ ?>