<?php $__env->startSection('content'); ?>
    <div class="container-xxl flex-grow-1 container-p-y">
        <div class="d-flex justify-between">
            <h4 class="fw-bold py-1 mb-1"><span class="text-muted fw-light">Search Results /</span> All </h4>
            <div class="">
                <a class="py-1 mb-1 text-black" href="<?php echo e(route('guest.cart')); ?>">
                    <span class="p-1 bg-yellow-500 rounded"><small><?php echo e(Cart::content()->count()); ?></small> </span>
                    <i class="bx bx-cart" style="font-size: 2em;"></i>
                    
                </a>
            </div>
        </div>
        <div class="row">

            <h6 class="text-gray-400">Items ordered with Order ID: "<?php echo e($searchfor); ?>"</h6>

            <div class="">
                <?php if($ordered_content_models): ?>
                    <?php $__currentLoopData = $ordered_content_models; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item_model): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <div class="my-4 <?php if(count($ordered_content_models) > 2): ?> col-sm-3 px-4 <?php endif; ?> ">
                            <img src="/storage/<?php echo e($item_model->doc->front_cover); ?>" alt="" width=150>
                            <div class="my-2">
                                <p class="text-white">
                                    <?php echo e(strtoupper($item_model->name)); ?> <br>Uploaded
                                    by <?php echo e(ucfirst($item_model->author->fname)); ?>

                                </p>
                                <a target='_blank' href="<?php echo e($item_model->doc->getDirectLink()); ?>" class="btn btn-dark">
                                    Download <i class="mx-0 bx bx-download"></i>
                                </a>
                            </div>
                        </div>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                <?php endif; ?>

            </div>
        </div>
    </div>
    <!-- / Content -->
<?php $__env->stopSection(); ?>

<?php echo $__env->make('snit.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/martins/udo/repo/personal/ims/resources/views/snit/guest/search/order.blade.php ENDPATH**/ ?>