<?php $__env->startSection('content'); ?>
    <div class="container-xxl flex-grow-1 container-p-y">
        <h4 class="fw-bold py-3 mb-4"><span class="text-muted fw-normal">Modify Course Departments for the current academic
                year</span></h4>

        <div class="row">
            <div class="col-md-12">
                <ul class="nav nav-pills flex-column flex-md-row mb-3">
                    <li class="nav-item">
                        <a class="nav-link <?php if(thisRouteName() == 'depts.edit'): ?> active <?php endif; ?>" href="javascript:void(0);">
                            <i class="bx bx-edit me-1"></i>
                            Modify A Department</a>
                    </li>
                    <?php echo $__env->make('snit.auth.dashboard.depts.partials.dept_config_mini_nav', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>


                </ul>
                <div class="card mb-4">
                    <div class="card-body">
                        
                        <form id="formAccountSettings" method="post" action="<?php echo e(route('depts.update', $dept->id)); ?>">
                            <?php echo csrf_field(); ?> <?php echo method_field('patch'); ?>
                            <div class="row">

                                
                                <div class="mb-3 col-md-6">
                                    <label for="institute" class="form-label">Institute </label>
                                    <select id="institute" name="institute" class=" form-select">
                                        <option value="">--Select Institution Type<?php echo e($dept->institute); ?>--</option>
                                        <option value="polytechnic"
                                            <?php if($dept->institute == 'polytechnic'): ?> selected='selected' <?php endif; ?>>
                                            Polytechnic
                                        </option>
                                        <option value="university"
                                            <?php if($dept->institute == 'university'): ?> selected='selected' <?php endif; ?>>
                                            University
                                        </option>
                                        <option value="college_of_education"
                                            <?php if($dept->institute == 'college_of_education'): ?> selected='selected' <?php endif; ?>>
                                            College of Education
                                        </option>
                                    </select>
                                </div>

                                
                                <div class="mb-3 col-md-6">
                                    <label for="name" class="form-label">Name of Department</label>
                                    <input class="form-control" type="text" name="name" id="name"
                                        placeholder="eg. Computer Science ND2" value="<?php echo e($dept->name ?: 'Not Set'); ?>" />
                                </div>

                                
                                <div class="mb-3 col-md-6">
                                    <label for="program_type" class="form-label"> Program Type </label>
                                    <select id="program_type" name="program_type" class="select2 form-select">
                                        <option value="">--Select Program Type--</option>
                                        <option value="ft" <?php if($dept->program_type == 'ft'): ?> selected <?php endif; ?>>
                                            Full Time
                                        </option>
                                        <option value="pt" <?php if($dept->program_type == 'pt'): ?> selected <?php endif; ?>>Part Time
                                        </option>
                                    </select>
                                </div>

                                
                                <div class="mb-3 col-md-6">
                                    <label for="dept_level" class="form-label"> Department Level </label>
                                    <select id="dept_level" name="dept_level" class="select2 form-select">
                                        <option value="">--Select Level of Study--</option>
                                        <?php $__currentLoopData = $dept_levels; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $level): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($level); ?>"
                                                <?php if($dept->dept_level == $level): ?> selected <?php endif; ?>><?php echo e($level); ?>

                                            </option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                                    </select>
                                </div>


                                <div class="mb-3 col-md-6">
                                    <label for="sample_matric_num" class="form-label">Sample Matric Number</label>
                                    <input type="text" class="form-control" id="sample_matric_num"
                                        name="sample_matric_num" placeholder="sample_matric_num"
                                        value="<?php echo e($dept->sample_matric_num); ?>" />
                                </div>

                                
                                <div class="mb-3 col-md-6">
                                    <label for="attached_books" class="my-0">Attach Book(s) to this department</label>
                                    <select multiple id="attached_books" name="attached_books[]"
                                        class="select2 form-select">
                                        <option value="">--Select Book--</option>
                                        <?php $__currentLoopData = $myBooks; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $myBook): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option <?php if($dept->books->contains($myBook->id)): echo 'selected'; endif; ?> class="my-1" value="<?php echo e($myBook->id); ?>">
                                                <?php echo e($myBook->name); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                </div>

                            </div>

                            <div class="row">
                                <div class="mb-3 col-md-6">
                                    <label for="attached_books" class="my-0">Book(s) sold to this department</label>
                                    <?php $__currentLoopData = $dept->books; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $deptBook): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <div class="text-primary text-sm my-2">
                                            <?php echo e("{$loop->iteration} . " . $deptBook->name); ?>

                                        </div>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </div>
                            </div>

                            <div class="mt-2">
                                <button type="submit" class="btn btn-primary me-2">Save changes</button>
                                <button type="reset" class="btn btn-outline-secondary">Cancel</button>
                            </div>
                        </form>
                    </div>
                    <!-- /Account -->
                </div>
            </div>
        </div>
    </div>
    <!-- / Content -->
<?php $__env->stopSection(); ?>

<?php echo $__env->make('snit.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/martins/udo/repo/personal/ims/resources/views/snit/auth/dashboard/depts/edit.blade.php ENDPATH**/ ?>