<?php $__env->startSection('content'); ?>
    <div class="my-16 offset-sm-1 col-sm-10">
        <div class="card">
            <div class="card-header d-flex justify-content-between align-items-center">
                <h5 class="my-0">
                    <span class="block mb-2">Cashout</span>
                    <small class="uppercase text-xs text-gray-800"><?php echo e($org); ?></small>
                    <small class="uppercase text-xs text-gray-800">(instructors) <?php echo e(now()); ?></small>
                </h5>
            </div>
            <div class="card-body">
                <table>
                    <tr>
                        <th class="p-2">Author</th>
                        <th class="p-2">Bank Name</th>
                        <th class="p-2">Account Holder</th>
                        <th class="p-2">Account Number</th>
                        <th class="p-2">Last Paid</th>
                        <th class="p-2">Action</th>
                    </tr>

                    <?php $__currentLoopData = $authors; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $author): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr class="">
                            <td class="p-2">
                                <img src="/storage/<?php echo e($author->dp); ?>" alt="ddj" class="rounded-full w-12">
                                <br>
                                <span class="capitalize"> <?php echo e($author->fname); ?></span>
                            </td>

                            <td class="p-2">
                                <div class="">
                                    <?php echo e($author->getBank()?->bank_name); ?>

                                </div>
                            </td>

                            <td class="p-2">
                                <div class="">
                                    <?php echo e($author->getBank()?->account_holder); ?>

                                </div>
                            </td>

                            <td class="p-2">
                                <div class="">
                                    <?php echo e($author->getBank()?->account_number); ?>

                                </div>
                            </td>
                            

                            <td class="p-2">
                                <div class="">
                                    <?php echo e($author->last_paid ?? 'null'); ?>

                                </div>
                            </td>

                            <td class="p-2">

                                <?php if($author->is_paid): ?>
                                    <span class="text-success fw-bold"> PAID</span>
                                <?php else: ?>
                                    <form action="<?php echo e(route('cashout.process')); ?>" method="post"><?php echo csrf_field(); ?>
                                        <input type="hidden" name="author_id" value="<?php echo e($author->id); ?>">
                                        <button class="btn btn-sm btn-primary" type="submit">System Pay</button>
                                        <button class="btn btn-sm btn-info" type="button">Manual Pay </button>
                                    </form>
                                <?php endif; ?>
                            </td>

                        </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </table>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('snit.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/martins/udo/repo/personal/ims/resources/views/snit/auth/dashboard/cashout/instructors.blade.php ENDPATH**/ ?>