<?php
    use Gloudemans\Shoppingcart\Facades\Cart;
?>


<?php $__env->startSection('content'); ?>
    <!-- Bordered Table -->


    <div class="d-block d-md-flex ">
        <div class="m-4 w-md-full col-md-6">
            <h6 class="text-white">My information</h6>
            
            <div class="card">
                <div class="card-body">
                    <?php if($errors->any()): ?>
                        <div class="alert alert-danger">
                            <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.input-errors','data' => ['messages' => $errors->all()]] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('input-errors'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes(['messages' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute($errors->all())]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                        </div>
                    <?php endif; ?>

                    <form id="formAccountSettings" method="post" action="<?php echo e(route('guest.checkout.prepare')); ?>"> <?php echo csrf_field(); ?>
                        <div class="row">
                            <div class="mb-3 col-md-6">
                                <label for="firstName" class="form-label capitalize">
                                    <small>First Name</small>
                                    <small class="text-red-500">*</small>
                                </label>
                                <input value="<?php echo e(old('firstName')); ?>" class="form-control form-control-sm" type="text"
                                    id="firstName" name="firstName" autofocus />
                                <small><small>
                                        <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.input-single-error','data' => ['name' => 'fname']] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('input-single-error'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes(['name' => 'fname']); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                                    </small></small>
                            </div>
                            <div class="mb-3 col-md-6">
                                <label for="lastName" class="form-label capitalize">
                                    <small>Last Name</small>
                                    <small class="text-red-500">*</small></label>
                                <input value="<?php echo e(old('lastName')); ?>" class="form-control form-control-sm" type="text"
                                    name="lastName" id="lastName" />
                                <small><small>
                                        <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.input-single-error','data' => ['name' => 'lname']] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('input-single-error'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes(['name' => 'lname']); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                                    </small></small>

                            </div>

                            <div class="mb-3 col-md-12 ">
                                <label for="email" class="form-label capitalize">
                                    <small>E-mail</small>
                                    <small class="text-red-500">*</small>
                                </label>
                                <input value="<?php echo e(old('email')); ?>" class="form-control form-control-sm" type="text"
                                    id="email" name="email" placeholder="john.doe@example.com" />
                                <small><small>
                                        <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.input-single-error','data' => ['name' => 'email']] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('input-single-error'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes(['name' => 'email']); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                                    </small></small>

                            </div>
                            <div class="mb-3 col-md-6">
                                <label class="form-label capitalize" for="phoneNumber">
                                    <small>Phone Number</small>
                                    <small class="text-red-500">*</small>
                                </label>
                                <div class="input-group input-group-merge">
                                    
                                    <input value="<?php echo e(old('phoneNumber')); ?>" type="tel" id="phoneNumber" maxlength="11"
                                        placeholder="eg. +234123456789" name="phoneNumber"
                                        class="form-control form-control-sm" />
                                </div>
                                <small><small>
                                        <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.input-single-error','data' => ['name' => 'phone']] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('input-single-error'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes(['name' => 'phone']); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                                    </small></small>

                            </div>

                            <div class="mb-3 col-md-6">
                                <label for="address" class="form-label capitalize"><small>Address</small>
                                    <small class="text-info-500">(Optional)</small>
                                </label>
                                <input value="<?php echo e(old('address')); ?>" type="text" class="form-control form-control-sm"
                                    id="address" name="address" placeholder="Address" />
                                <small><small>
                                        <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.input-single-error','data' => ['name' => 'address']] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('input-single-error'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes(['name' => 'address']); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                                    </small></small>

                            </div>
                            <div class="mb-3 col-md-6">
                                <label for="state" class="form-label capitalize">
                                    <small>State</small>
                                    <small class="text-red-500">*</small></label>
                                <input value="<?php echo e(old('state')); ?>" class="form-control form-control-sm" type="text"
                                    id="state" name="state" placeholder="California" />
                                <small><small>
                                        <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.input-single-error','data' => ['name' => 'state']] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('input-single-error'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes(['name' => 'state']); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                                    </small></small>

                            </div>
                            <div class="mb-3 col-md-6">
                                <label for="country" class="form-label capitalize">
                                    <small>Country</small>
                                    <small class="text-red-500">*</small>
                                </label>

                                <input class="form-control" id="nation" name="nation" list="nations"
                                    value="<?php echo e(old('nation', 'Nigeria')); ?>"
                                    placeholder="Enter a new publisher name eg.ACME Inc." />
                                <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.input-single-error','data' => ['name' => 'nation']] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('input-single-error'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes(['name' => 'nation']); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>

                                <datalist id='nations'>
                                    <?php $__currentLoopData = $nations; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $nation): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($nation->name); ?>">
                                            <?php echo e($nation->name); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </datalist>
                            </div>
                        </div>


                        <div class="my-3 col-md-12">
                            <legend class="text-xs">
                                <span>Student Data</span>
                                <small class="text-red-500">
                                    (This section is compulsory for students) *
                                    </s>
                            </legend>

                            
                            <div class="mb-3">
                                <label for="organization" class="form-label capitalize">
                                    <small> Organization / Institution<small class="text-red-500">*</small></small>
                                </label>
                                <input type="text" class="form-control form-control-sm" id="organisation"
                                    list="organisationslist" name="organisation" value="<?php echo e(old('organisation')); ?>"
                                    placeholder="Enter your valid institution name, if you can't find it in our list of organisations" />

                                <datalist id="organisationslist" class="select2">
                                    
                                    <?php $__currentLoopData = $orgs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $org): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        
                                        <option value="<?php echo e($org->name); ?>">
                                            <?php echo e($org->name); ?></option>
                                        
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </datalist>
                            </div>

                            <div class="my-2 col-md-6">
                                <label for="text" class="form-label capitalize">
                                    <span>Matric No. <span class="text-red-500">*</span></span> <br>

                                    <small class="text-red-500">If you don't have a matric number, or you're not a student,
                                        kindly provide your email address instead</small>
                                </label>
                                <input class="form-control form-control-sm" type="text" id="mat_num" name="mat_num"
                                    value="<?php echo e(old('mat_num')); ?>" placeholder="Enter your valid Matric Number" />
                                <small><small>
                                        <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.input-single-error','data' => ['name' => 'mat_num']] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('input-single-error'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes(['name' => 'mat_num']); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                                    </small></small>
                            </div>

                        </div>


                        <div class="my-4">
                            <button type="submit" class="btn btn-sm bg-gray-800 text-white me-2">
                                Continue to Payment
                            </button>
                            <button type="reset" class="btn  btn-sm btn-outline-secondary">Cancel</button>
                        </div>

                        <div class="my-5">
                            <div class="information-section">
                                <p class="text-red-500 text-xs"> Important : Kindly review
                                    our Purchase Guide</p>
                                <ul>
                                    <li class="font-light text-xs text-red-500 my-2">
                                        All Students purchasing materials from
                                        instructors in the same institution as them must
                                        provide their Matric Number. <br>
                                        This vital information helps the instructors
                                        keep
                                        track of the students that have purchased
                                        the recommended reading materials.</li>
                                    <li class="text-xs font-light text-blue-500">If
                                        a student does not have a matric
                                        number,
                                        their NIN (National Identification Number)
                                        is also accepted, as a means of
                                        identification.</li>
                                </ul>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>

        
        <div class=" m-4 w-md-full">
            <h6 class="text-white">Order Summary</h6>
            <div class="card">
                
                <div class="table-responsive text-nowrap">
                    <table class="table table-borderless">
                        <tbody>
                            <?php $__currentLoopData = Cart::content(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $cartItem): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr class="">
                                    <td class="">
                                        <img src="/storage/<?php echo e($cartItem->model->doc->front_cover ?? ' '); ?>"
                                            alt="<?php echo e($cartItem->model->doc->front_cover ?? 'No Image'); ?>" class="src"
                                            width="100" />
                                    </td>
                                    <td>
                                        <div><span
                                                class="text-xs font-semibold text-gray-700"><?php echo e($cartItem->name); ?></span>
                                        </div>
                                        <div><span class="text-xs"> Vendor:
                                                <?php echo e($cartItem->options->book_author->presentFullName()); ?></span>
                                        </div>
                                        <div>
                                            <span class="currency_symbol font-thin text-gray-800 text-sm">
                                                <span class="currency">₦ </span>
                                                <span><?php echo e($cartItem->price); ?></span>
                                            </span>
                                        </div>
                                    </td>
                                    
                                    

                                    <td>
                                        <form action="<?php echo e(route('guest.cart-destroy', ['item_id' => $cartItem->id])); ?>"
                                            method="post"> <?php echo csrf_field(); ?>
                                            <?php echo method_field('delete'); ?>
                                            <i onclick="this.closest('form').submit()"
                                                class="bx bx-trash text-red-600 cursor-pointer trash-noise-maker"></i>
                                        </form>
                                    </td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                        <tfoot class="pt-5 ">
                            <tr>
                                <td class="pt-5"></td>
                                <td class="pt-5 capitalize text-gray-500">
                                    <span class="text-xs">total Items in Order</span>
                                </td>
                                <td class="pt-5 text-gray-800" colspan="2">
                                    <span class="text-xs">
                                        <?php echo e(Cart::content()->count()); ?>

                                    </span>
                                </td>
                            </tr>

                            <tr>
                                <td class="pt-2"></td>
                                <td class="capitalize text-gray-500">
                                    <span class="text-xs">subtotal</span>
                                </td>
                                <td class="text-gray-800" colspan="2">
                                    <span class="text-xs">
                                        <span class="currency_symbol">
                                            ₦</span>
                                        <?php echo e(Cart::subTotal()); ?></span>
                                </td>
                            </tr>
                            <tr>
                                <td class=""></td>
                                <td class="capitalize text-gray-500">
                                    <span class="text-xs">Service Charge</span>
                                </td>
                                <td class="text-gray-800">
                                    <span>
                                        <span class="currency_symbol text-xs"> ₦</span>
                                        <span class="text-xs"><?php echo e(Cart::tax()); ?></span></span>
                                </td>
                            </tr>

                            <tr>
                                <td class=""></td>
                                
                                <td class="pt-3 capitalize text-gray-500 text-xs">Total
                                </td>
                                <td class="text-gray-800">
                                    <span class="currency_symbol"> ₦</span>
                                    <span class="text-xs"><?php echo e(Cart::total()); ?></span>
                                </td>
                            </tr>
                        </tfoot>
                        </tbody>
                    </table>
                </div>
            </div>

        </div>

    </div>
    <!--/ Bordered Table -->
<?php $__env->stopSection(); ?>

<?php echo $__env->make('snit.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/martins/udo/repo/personal/ims/resources/views/snit/guest/checkout/index.blade.php ENDPATH**/ ?>