<?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => $__env->getContainer()->make(Illuminate\View\Factory::class)->make('mail::message'),'data' => []] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('mail::message'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
# ORDER VERIFICATION WITH PAYMENT GATEWAY SERVICE (PGS) FAILED

There has been an issue and it's not a transaction status error problem.
This means that the transaction was successful on the PGS' end, however,
one or more of our checks did not pass and so it's wise to review for the following:
1. App fees

2. transaction reference id

3. charged amount

--------------------------------
# ORDER INFO

Order Amount : <?php echo e($relatedOrder->total_amount); ?>


# ITEM(S) PURCHASED
<?php $__currentLoopData = $relatedContent; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $cartItem): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
<?php echo " <div class='fw-bold'> Item $loop->iteration : </div> "; ?>


Item Name:  <?php echo e($cartItem->name); ?> 

Item Price: <?php echo e($cartItem->price); ?>


Qty: <?php echo e($cartItem->qty); ?>


&NewLine;
<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
-----------------
# Client Data:

Client name: <?php echo e($relatedClient->name); ?>

Client mat_num: <?php echo e($relatedClient->mat_num); ?>

Client phone: <?php echo e($relatedClient->phone); ?>

Client Organisation: <?php echo e($relatedClient->org->name); ?>



-----------------
# PGS Data
<?php $__currentLoopData = $pgsData; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
<?php echo e("$key : $data"); ?>


<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

# Summary

Total Order Amount : <?php echo e($relatedOrder->total_amount); ?>


Expected Fee: <?php echo e($relatedOrder->total_amount * (1.5/100)); ?>


Actual Fee : <?php echo e($pgsData['fees']); ?>



--------------------------------

<?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => $__env->getContainer()->make(Illuminate\View\Factory::class)->make('mail::button'),'data' => ['url' => route('guest.search_for_my_order', $relatedOrder->identifier)]] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('mail::button'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes(['url' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute(route('guest.search_for_my_order', $relatedOrder->identifier))]); ?>
    View Affected Order
 <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
Thanks,

<?php echo e(config('app.name')); ?>

 <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>


<style scoped>
.fw-bold{
font-weight : bold;
color: black;
padding: 1em 0;
}
</style><?php /**PATH /home/martins/udo/repo/personal/ims/resources/views/mail/order-verification-failed-with-p-g-s-mail.blade.php ENDPATH**/ ?>