<?php $__env->startSection('content'); ?>
    <div class="container-xxl flex-grow-1 container-p-y">
        <div class="d-flex justify-between">
            <h4 class=" py-1 mb-1 mx-3">
                <span class="text-gray-100 fw-light">Book Store</span>
            </h4>
            <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.cart-icon','data' => []] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('cart-icon'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
        </div>
        <div class="w-100 m-3">
            <span class="block my-1 text-white h6">
                Want to check if you've bought a book? Use this <br>
                'client search' to view all your purchases as a student
            </span>
            <form class="flex" method="post" action="<?php echo e(route('clients.show-all-purchases')); ?>"><?php echo csrf_field(); ?>
                <div class="w-3/5 md:w-1/5 bg-white rounded-3xl ">
                    <input type="search"
                        class="h-10 w-full md:text-sm  px-2 rounded-2xl rounded-tr-none rounded-br-none uppercase placeholder:lowercase"
                        name="mat_num" placeholder="Enter Mat. No to scan our records">
                </div>
                <div class="">
                    <button type="submit"
                        class="-ml-1 h-10 btn btn-primary px-2 capitalize text-gray-100 rounded-tl-none rounded-bl-none">
                        Client Search
                    </button>

                </div>
                
            </form>
        </div>
        <div class="row mb-5 pl-3">
            <?php $__currentLoopData = $allbooks; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $book): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <div class="col-md-6 col-lg-4 my-1">
                    <div class="card h-100">
                        <div class="single_result_container p-0 ">
                            
                            <?php echo $__env->make('snit.guest.search.partials.bookImage', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                            <div class="information_container mx-2 p-1">
                                <?php echo $__env->make('snit.guest.search.partials.bookInfo', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                <div class="relative book_types_container grid grid-cols-2 ">
                                    <?php echo $__env->make('snit.guest.search.partials.hardCopyVersion', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                    <?php echo $__env->make('snit.guest.search.partials.ebookVersion', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                </div>
                                <div class="text-right">
                                    <?php echo $__env->make('snit.guest.search.partials.authorImageForthisBook', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                </div>

                            </div>
                        </div>
                    </div>
                </div>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>



        </div>
    </div>
    <!-- / Content -->
<?php $__env->stopSection(); ?>

<?php $__env->startPush('child-scripts'); ?>
    <script>
        // alert('bado')
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('snit.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/martins/udo/repo/personal/ims/resources/views/snit/auth/dashboard/store/general_store.blade.php ENDPATH**/ ?>