<div class="card m-4">
    
    <div class="card-body">
        <div class="table-responsive text-nowrap">
            <table class="table table-bordered py-5">
                <thead>
                    <tr>
                        <th>daily METRIC</th>
                        <th>QUANTITY</th>
                        <th>VALUE (Naira)</th>
                    </tr>
                </thead>
                <tbody>
                    <tr class="text-black">
                        
                        <td>
                            <span class=" me-1 uppercase">
                                total number of books sold (yesterday)
                                <?php echo e(now()->yesterday()->format('D')); ?>


                            </span>
                        </td>

                        <td>
                            <span class="me-1">
                                <?php echo e(author()->totalBookSold('yesterday')); ?>

                            </span>
                        </td>

                        <td>
                            <span class="currency">₦</span>
                            <span class="me-1">
                                <?php echo e(author()->totalSalesFromBooks('yesterday')); ?>

                            </span>
                        </td>
                    </tr>

                    <tr class="   text-black">
                        
                        <td>
                            <span class=" me-1 uppercase">
                                total number of books sold (today)
                                <?php echo e(now()->format('D')); ?>


                            </span>

                        <td>
                            <span class="me-1">
                                <?php echo e(author()->totalBookSold('today')); ?>

                            </span>
                        </td>
                        </td>

                        <td>
                            <span class="currency">₦</span>
                            <span class="me-1">
                                <?php echo e(author()->totalSalesFromBooks('today')); ?>

                            </span>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>

    
    <div class="card-body">
        <div class="table-responsive text-nowrap">
            <table class="table table-bordered py-5 bg-green-200">
                <thead>
                    <tr>
                        <th> weekly METRIC</th>
                        <th>QUANTITY </th>
                        <th>REVENUE (₦)</th>
                        <th>profit (₦)</th>
                    </tr>
                </thead>
                <tbody>

                    
                    <tr class="   text-black">
                        <td>
                            <span class=" me-1 uppercase">
                                LAST WEEK EARNINGS (paid on monday this week) <small class="text-green-600"></small>
                            </span>

                        <td>
                            <span class="me-1">
                                <?php echo e(author()->totalBookSold('last_week')); ?>

                            </span>
                        </td>

                        <td>
                            <span class="currency text-green-600 text-lg">₦</span>
                            <span class="me-1 text-green-600 text-lg">
                                <?php echo e(author()->totalSalesFromBooks('last_week')); ?>

                            </span>
                        </td>

                        <td>
                            <span class="currency text-green-600 text-lg">₦</span>
                            <span class="me-1 text-green-900 text-lg">
                                <?php echo e(author()->presentTotalProfit('last_week')); ?>

                            </span>

                        </td>


                    </tr>


                    
                    <tr class=" bg-green-300 ">
                        <td>
                            <span class=" me-1 uppercase">
                                this week's revenue: Payout Due (next monday) <small
                                    class="text-green-900">ongoing</small>
                            </span>

                        <td>
                            <span class="me-1">
                                <?php echo e(author()->totalBookSold('this_week')); ?>

                            </span>
                        </td>


                        <td>
                            <span class="currency text-green-600 text-lg">₦</span>
                            <span class="me-1 text-green-900 text-lg">
                                <?php echo e(author()->totalSalesFromBooks('this_week')); ?>

                            </span>
                        </td>

                        <td>
                            <span class="currency text-green-600 text-lg">₦</span>
                            <span class="me-1 text-green-900 text-lg">
                                <?php echo e(author()->presentTotalProfit('this_week')); ?>

                            </span>

                        </td>

                    </tr>
                </tbody>
            </table>
        </div>
    </div>

    
    <div class="card-body">
        <div class="table-responsive text-nowrap">
            <table class="table table-bordered py-5">
                <thead>
                    <tr>
                        <th>monthly METRIC</th>
                        <th>QUANTITY</th>
                        <th>VALUE (Naira)</th>
                    </tr>
                </thead>
                <tbody>

                    <tr class="   text-black">
                        
                        <td>
                            <span class=" me-1 uppercase">
                                total number of books sold (last month)
                                <?php echo e(now()->startOfMonth()->subMonth()->format('F')); ?>

                            </span>
                        </td>

                        <td>
                            <span class="me-1">
                                <?php echo e(author()->totalBookSold('last_month')); ?>

                            </span>
                        </td>

                        <td>
                            <span class="currency">₦</span>
                            <span class="me-1">

                                <?php echo e(author()->totalSalesFromBooks('last_month')); ?>


                            </span>
                        </td>
                    </tr>


                    <tr class="   text-black">
                        
                        <td>
                            <span class=" me-1 uppercase">
                                total number of books sold (this month)
                                <?php echo e(now()->startOfMonth()->format('F')); ?>


                            </span>

                        <td>
                            <span class="me-1">
                                <?php echo e(author()->totalBookSold('this_month')); ?>

                            </span>
                        </td>
                        </td>

                        <td>
                            <span class="currency">₦</span>
                            <span class="me-1">

                                <?php echo e(author()->totalSalesFromBooks('this_month')); ?>


                            </span>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>



    
    <div class="card-body">
        <div class="table-responsive text-nowrap">
            <table class="table table-bordered py-5">
                <thead>
                    <tr>
                        <th>YEARLY METRIC</th>
                        <th>QUANTITY</th>
                        <th>VALUE (Naira)</th>
                    </tr>
                </thead>
                <tbody>
                    <tr class="   text-black">
                        
                        <td>
                            <span class=" me-1 uppercase">
                                total number of books sold (last year)
                                <?php echo e(now()->startOfYear()->subYear()->format('Y')); ?>


                            </span>

                        <td>
                            <span class="me-1">
                                <?php echo e(author()->totalBookSold('last_year')); ?>

                            </span>
                        </td>
                        </td>


                        <td>
                            <span class="currency">₦</span>
                            <span class="me-1">
                                <?php echo e(author()->totalSalesFromBooks('last_year')); ?>

                            </span>
                        </td>
                    </tr>

                    <tr class=" text-black">
                        
                        <td>
                            <span class=" me-1 uppercase">
                                total number of books sold (this year)
                                <?php echo e(now()->startOfYear()->format('Y')); ?>


                            </span>

                        <td>
                            <span class="me-1">
                                <?php echo e(author()->totalBookSold('this_year')); ?>

                            </span>
                        </td>
                        </td>

                        <td>
                            <span class="currency">₦</span>
                            <span class="me-1">

                                <?php echo e(author()->totalSalesFromBooks('this_year')); ?>


                            </span>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>




    
    <div class="card-body">
        <div class="table-responsive text-nowrap">
            <table class="table table-bordered py-5">
                <thead>
                    <tr>
                        <th>all time METRIC</th>
                        <th>QUANTITY</th>
                        <th>revenue (₦)</th>
                        <th>profit (₦)</th>
                    </tr>
                </thead>
                <tbody>

                    <tr class="   text-black">
                        
                        <td>
                            <span class=" me-1 uppercase">
                                total no of books sold (all time)
                            </span>
                        </td>

                        <td>
                            <span class="me-1">
                                <?php echo e(author()->totalBookSold()); ?>

                            </span>
                        </td>


                        <td>
                            <span class="currency">₦</span>

                            <span class="me-1">
                                <?php echo e(author()->totalSalesFromBooks()); ?>

                            </span>
                        </td>

                        <td>
                            <span class="currency text-green-600 text-lg">₦</span>
                            <span class="me-1 text-green-900 text-lg">
                                <?php echo e(author()->presentTotalProfit()); ?>

                            </span>

                        </td>
                    </tr>

                </tbody>
            </table>
        </div>
    </div>
</div><?php /**PATH /home/martins/udo/repo/personal/ims/resources/views/snit/partials/old_financial_summary.blade.php ENDPATH**/ ?>