const defaultTheme = require('tailwindcss/defaultTheme')

module.exports = {
    content: [
        // default from tailwind official website
        './resources/**/*.blade.php',
        './resources/**/*.js',
        './resources/**/*.vue',
        // I don't know where i got these from, but i'm leaving them for now
        './vendor/laravel/framework/src/Illuminate/Pagination/resources/views/*.blade.php',
        './vendor/laravel/jetstream/**/*.blade.php',
        './storage/framework/views/*.php',
        // These are my custom added lines
        './resources/views/**/*.blade.php', 
        './resources/js/**/*.js',
    ],
    theme: {
        extend: {
            fontFamily: {
                sans: ['Nunito', ...defaultTheme.fontFamily.sans],
            },
        },
    },
    plugins: [
        // these could not be loaded and I don't know why
        // require('@tailwindcss/forms'),
        // require('@tailwindcss/aspect-ratio'),
        // require('@tailwindcss/typography'),
    ]
}
